"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  upload: {
    tab_title: 'Upload',
    browse_your_computer: 'Parcourir mon ordinateur',
    or: 'ou',
    enter_url_to_upload_from_web: 'URL publique du fichier',
    upload_btn: 'Télécharger',
    drag_file_here: 'Glisser-déposer mon fichier ici',
    accepted_file_types: 'Formats de fichiers acceptés',
    accepted_file_size: 'Jusqu\'à 10 Mo',
    uploading: 'Téléchargement',
    error: 'Erreur',
    url_not_valid: 'URL invalide !',
    empty_url: 'URL vide !',
    search: 'Rechercher',
    found: 'Trouvé',
    apply: 'Appliquer',
    categories: 'Catégories',
    file_already_exists: 'Le fichier existe déjà dans votre galerie',
    invalid_file_extension: 'Extension de fichier invalide',
    all: 'Tout afficher',
    too_small: 'Le téléchargement de fichier n\'est pas disponible sur mobile.',
    close: 'Fermer',
    image_editor: 'Editeur d\'image',
    smart_crop: 'Rognage automatique',
    face_detection: 'Détection de visages',
    resize: 'Redimensionnement',
    width: 'Taille',
    height: 'Hauteur',
    revert: 'Retour',
    crop: 'Rogner',
    crop_and_resize: 'Rogner / Redimensionnement',
    cancel: 'Annuler',
    selected_files: 'Sélectionner des fichiers',
    total_size: 'Taille totale',
    sort: 'Trier',
    name: 'Nom',
    size: 'Taille',
    type: 'Type',
    modified: 'Date de motification',
    uploaded: 'Date de création',
    product_position: 'Product position',
    product_ref: 'Product reference',
    invalid_token: 'Jeton invalide'
  },
  file_manager: {
    tab_title: 'Ma galerie',
    search_by_file_name_tag_desc: 'Recherche par nom, tag ou description',
    upload_images: 'Télécharger',
    drag_images_here: 'Glisser-déposer mon fichier ici',
    change_folder: 'Changer de répertoire',
    media_library: 'Bibliothèque des médias',
    go_back: 'Retour',
    select: 'Sélectionner',
    modify: 'Modifer',
    tag: 'Taguer',
    edit: 'Editer',
    delete: 'Delete',
    no_subfolders: 'Pas de sous-dossier',
    deselect_all: 'Tout déselectionner',
    are_you_sure: 'Êtes-vous sûr'
  },
  icons: {
    tab_title: 'Icônes gratuites',
    zero_icons_was_found: 'Aucune icône trouvée :(',
    set_icon_as_not_relevant: 'Marquer l\'icône comme non pertinente',
    you_can_search_icons_here: 'Rechercher des icônes',
    color_filter: 'Filtre couleur',
    all: 'Tout',
    multi_color: 'Multi couleurs',
    mono_color: 'Mono couleur',
    customize_your_icon: 'Personnaliser l\'icône',
    theme_colors: 'Couleurs de thème',
    new_tag_successfully_added: 'Le nouveau tag a bien été ajouté!'
  },
  images: {
    tab_title: 'Images gratuites',
    zero_images_was_found: 'Aucune image trouvée :(',
    color_filter: 'Filtre couleur',
    add_color: 'Ajouter une couleur',
    images: 'Fonds  d\'écran',
    you_can_search_images_here: 'Rechercher des images'
  },
  tagging: {
    tab_title: 'Tagging',
    something_went_wrong_try_again: 'Un incident s\'est produit, veuillez réessayer',
    will_automatically_generate_tags: 'Génèrera automatiquement des tags basés sur une technologie de reconnaissance d\'images',
    go_back: 'Retour',
    file_name: 'Nom du fichier',
    size: 'Taille',
    first_upload: 'Ajouté le',
    last_modified: 'Modifié le',
    add_description: 'Ajouter description',
    add_a_tag_separate_by_pressing_enter: 'Ajouter un tag (séparer par ENTRÉE)',
    add_tags_field: 'Vous devez d\'abord ajouter un champs "tags" dans votre modèle de metadata',
    add_description_field: 'Vous devez d\'abord ajouter un champs "description" dans votre modèle de metadata.',
    generate_tags: 'Taggage auto',
    save: 'Sauvegarder',
    save_and_modify: 'Enregistrer et modifier l\'URL\n',
    asset_could_not_be_automatically_tagged: 'L\'image n\'a pas pu être tagguée automatiquement',
    could_not_be_automatically_tagged: 'n\'a pas pu être tagguée automatiquement',
    auto_tagging_processing: 'Auto-tagging en cours...',
    product_ref: 'Product ref',
    product_position: 'Product position',
    not_set: 'Not set',
    update_product_ref: 'Update product ref',
    update_product_position: 'Update product position',
    updating: 'updating...',
    common_tags: 'Balises courantes'
  },
  tips: {
    edit: 'redimensionner, rogner, ajuster l\'image',
    delete: 'supprimer {number} image',
    tag: 'gérer les tags et lees metadata de {number} image',
    select: 'sélectionner {number} image',
    modify: 'Modifier l\'url de l\'image',
    select_multiply: 'sélectionner plusieurs images'
  },
  deletePopup: {
    title: 'Êtes-vous sûr',
    accept: 'Effacer',
    cancel: 'Annuler',
    msg: 'Voulez-vous supprimer',
    file: 'fichier',
    files: 'fichiers'
  },
  goBackPopup: {
    title: 'Êtes-vous sûr',
    accept: 'Quitter',
    cancel: 'Annuler',
    msg: 'Voulez-vous quitter cet onglet? Les modifications que vous avez apportées ne seront sûrement pas sauvegardées'
  }
};
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\assets\\translations\\fr.js");
}();

;