"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _hoc = require("../hoc");

var _iconsApi = require("../../services/iconsApi.service");

var _styledComponents = require("../../styledComponents");

var _reactI18nify = require("react-i18nify");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var IconAddTagModal = /*#__PURE__*/function (_Component) {
  _inherits(IconAddTagModal, _Component);

  var _super = _createSuper(IconAddTagModal);

  function IconAddTagModal() {
    var _this;

    _classCallCheck(this, IconAddTagModal);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      tagName: ''
    });

    _defineProperty(_assertThisInitialized(_this), "onAddTag", function () {
      var _this$props = _this.props,
          activeIcon = _this$props.activeIcon,
          onClose = _this$props.onClose,
          showAlert = _this$props.showAlert;
      var tagName = _this.state.tagName;
      (0, _iconsApi.addTag)(activeIcon.uid, tagName).then(function () {
        showAlert(_reactI18nify.I18n.t('icons.new_tag_successfully_added'));
        onClose();
      });
    });

    return _this;
  }

  _createClass(IconAddTagModal, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      setTimeout(function () {
        if (_this2._input && _this2._input.focus) _this2._input.focus();
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var onClose = this.props.onClose;
      var tagName = this.state.tagName;
      return /*#__PURE__*/_react.default.createElement(_hoc.Aux, null, /*#__PURE__*/_react.default.createElement(_styledComponents.Opacity, {
        isShow: true,
        onClick: onClose
      }), /*#__PURE__*/_react.default.createElement(_styledComponents.MonoIconSettings, {
        isShow: true
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.IconAddTagInner, null, /*#__PURE__*/_react.default.createElement(_styledComponents.Label, {
        color: 'black',
        nb: true
      }, "Would you like to add tag?"), /*#__PURE__*/_react.default.createElement(_styledComponents.Input, {
        ref: function ref(node) {
          return _this3._input = node;
        },
        defaultValue: tagName,
        onKeyDown: function onKeyDown(event) {
          event.keyCode === 13 && _this3.onAddTag();
        },
        onChange: function onChange(_ref) {
          var target = _ref.target;

          _this3.setState({
            tagName: target.value
          });
        }
      }), /*#__PURE__*/_react.default.createElement(_styledComponents.ButtonSearch, {
        fullBr: '4px',
        onClick: this.onAddTag
      }, "Add tag"))));
    }
  }]);

  return IconAddTagModal;
}(_react.Component);

var _default = IconAddTagModal;
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(IconAddTagModal, "IconAddTagModal", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\IconsTab\\IconAddTagModal.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\IconsTab\\IconAddTagModal.js");
}();

;