"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = require("../../styledComponents");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var IconTags = function IconTags(props) {
  var tagsList = props.tagsList,
      searchPhrase = props.searchPhrase,
      activeTags = props.activeTags,
      toggleTag = props.toggleTag;
  if (!(tagsList.length > 0)) return null;
  return /*#__PURE__*/_react.default.createElement(_styledComponents.TagsWrapper, null, tagsList.filter(function (item) {
    return item.tag && !item.tag.includes('sf-');
  }).map(function (item) {
    return /*#__PURE__*/_react.default.createElement(_styledComponents.Tag, {
      hide: searchPhrase.includes(item.tag),
      key: item.tag,
      active: activeTags[item.tag],
      onClick: function onClick() {
        toggleTag(item.tag);
      }
    }, item.tag, /*#__PURE__*/_react.default.createElement(_styledComponents.CloseIcon, {
      active: activeTags[item.tag]
    }));
  }));
};

var _default = IconTags;
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(IconTags, "IconTags", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\IconsTab\\IconTags.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\IconsTab\\IconTags.js");
}();

;