"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _index = require("../../assets/styles/index");

var _index2 = require("../../utils/index");

var _index3 = require("../../styledComponents/index");

var _UserUploaderTab = require("./UserUploaderTab.styled");

var _ProgressCircle = require("../ProgressCircle");

var _reactI18nify = require("react-i18nify");

var API = _interopRequireWildcard(require("../../services/api.service"));

var _PreUploadProcess = _interopRequireDefault(require("./PreUploadProcess"));

var _icons = require("../../utils/icons.utils");

var _UserUploaderTab2 = require("./UserUploaderTab.utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var STEP = {
  DEFAULT: 'DEFAULT',
  UPLOADING: 'UPLOADING',
  ERROR: 'ERROR',
  UPLOADED: 'UPLOADED',
  PROCESS: 'PROCESS'
};

var UserUploaderTab = /*#__PURE__*/function (_Component) {
  _inherits(UserUploaderTab, _Component);

  var _super = _createSuper(UserUploaderTab);

  function UserUploaderTab() {
    var _this;

    _classCallCheck(this, UserUploaderTab);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      step: STEP.DEFAULT,
      errorMsg: '',
      isDragOver: false,
      files: [],
      uploadedFiles: [],
      imagesToUpload: [],
      progressBar: {
        color: _ProgressCircle.PROGRESS_COLORS.DEFAULT,
        status: 0
      }
    });

    _defineProperty(_assertThisInitialized(_this), "fileDropHandler", function (event) {
      event.preventDefault();
      var _this$props = _this.props,
          appState = _this$props.appState,
          showAlert = _this$props.showAlert;
      var extensions = appState.config.extensions;
      var files = (event.dataTransfer || event.originalEvent.dataTransfer).files;
      var isValid = (0, _UserUploaderTab2.validateExtensions)(files, extensions, showAlert);
      if (isValid) _this.changeFile(files);
    });

    _defineProperty(_assertThisInitialized(_this), "fileChangeHandler", function (_ref) {
      var target = _ref.target;
      var _this$props2 = _this.props,
          appState = _this$props2.appState,
          showAlert = _this$props2.showAlert;
      var extensions = appState.config.extensions;
      var isValid = (0, _UserUploaderTab2.validateExtensions)(target.files, extensions, showAlert);
      if (isValid) _this.changeFile(target.files);
    });

    _defineProperty(_assertThisInitialized(_this), "changeFile", function () {
      var files = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
      var config = _this.props.appState.config;
      var isAllImages = [].every.call(files, function (file) {
        return file.type && (0, _icons.isImage)(file.type);
      });
      var count = 0;

      if ((config.preUploadImageProcess || config.processBeforeUpload) && isAllImages) {
        if (!config.processBeforeUpload) _this.setState({
          files: files,
          step: STEP.PROCESS
        });

        if (files && files[0]) {
          count = files.length;

          _toConsumableArray(files).forEach(function (file, index) {
            var reader = new FileReader();

            reader.onload = function (event) {
              var imagesToUpload = _this.state.imagesToUpload;

              _this.setState({
                imagesToUpload: [].concat(_toConsumableArray(imagesToUpload), [{
                  src: event.target.result,
                  file: file
                }])
              });

              if (count === index + 1) {
                _this.setState({
                  files: files,
                  step: STEP.PROCESS
                });
              }
            };

            reader.readAsDataURL(file);
          });
        }
      } else {
        _this.setState({
          files: files
        }, _this.upload);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "changeStep", function (step) {
      return _this.setState({
        step: step
      });
    });

    _defineProperty(_assertThisInitialized(_this), "uploadStart", function () {
      return _this.setState({
        step: STEP.UPLOADING
      });
    });

    _defineProperty(_assertThisInitialized(_this), "uploadSuccess", function (uploadedFiles) {
      return _this.setState({
        step: STEP.UPLOADED,
        uploadedFiles: uploadedFiles
      });
    });

    _defineProperty(_assertThisInitialized(_this), "uploadError", function () {
      _this.changeStep(STEP.DEFAULT);
    });

    _defineProperty(_assertThisInitialized(_this), "upload", function () {
      var isUploadFromUrl = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
      var url = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
      var self = _this.props;
      var config = _this.props.appState.config;
      var files = isUploadFromUrl ? [url] : _this.state.files;
      var dataType = isUploadFromUrl ? 'application/json' : 'files[]';

      _this.uploadStart();

      API.uploadFiles({
        files: files,
        config: _objectSpread(_objectSpread({}, config), {}, {
          onUploadProgress: _this.onUploadProgress
        }),
        data_type: dataType,
        showAlert: _this.props.showAlert
      }).then(function (_ref2) {
        var _ref3 = _slicedToArray(_ref2, 3),
            files = _ref3[0],
            isDuplicate = _ref3[1],
            isReplacingData = _ref3[2];

        if (isReplacingData || isDuplicate) {
          _this.props.showAlert('', _reactI18nify.I18n.t('upload.file_already_exists'), 'info');
        }

        _this.uploadSuccess(files);

        if (config.tagging.active && !self.isMobile) {
          _this.props.saveUploadedFiles(files);

          _this.props.setPostUpload(true, 'TAGGING', 'UPLOAD');

          return;
        }

        config.uploadHandler(files, {
          stage: 'upload'
        });
        self.closeModal();
      }).catch(function () {
        _this.uploadError();
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onUploadProgress", function (progressEvent) {
      var percentCompleted = Math.round(progressEvent.loaded * 100 / progressEvent.total);

      _this.setState({
        progressBar: {
          status: percentCompleted,
          color: percentCompleted > 99 ? _ProgressCircle.PROGRESS_COLORS.SUCCESS : _ProgressCircle.PROGRESS_COLORS.DEFAULT
        }
      });
    });

    _defineProperty(_assertThisInitialized(_this), "uploadFromWeb", function () {
      var _this$props3 = _this.props,
          appState = _this$props3.appState,
          showAlert = _this$props3.showAlert;
      var extensions = appState.config.extensions;
      var value = _this._uploadFromWebField.value;
      var isValidUrl = !!value && /^(http:\/\/|https:\/\/|\/\/)/.test(value);

      if (!isValidUrl) {
        _this.props.showAlert('', value ? _reactI18nify.I18n.t('upload.url_not_valid') : _reactI18nify.I18n.t('upload.empty_url'), 'warning');
      } else {
        var isValidExtension = (0, _UserUploaderTab2.validateExtensions)(value, extensions, showAlert, true);
        if (isValidExtension) _this.upload(true, value);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "setDragOverOn", function (e) {
      e.preventDefault();

      _this.setState({
        isDragOver: true
      });
    });

    _defineProperty(_assertThisInitialized(_this), "setDragOverOff", function (e) {
      e.preventDefault();

      _this.setState({
        isDragOver: false
      });
    });

    _defineProperty(_assertThisInitialized(_this), "cancelUpload", function () {
      _this.setState({
        step: STEP.DEFAULT,
        uploadedFiles: [],
        imagesToUpload: [],
        isDragOver: false
      });
    });

    _defineProperty(_assertThisInitialized(_this), "updateFilesAndUpload", function (files) {
      _this.setState({
        files: files
      }, _this.upload);
    });

    _defineProperty(_assertThisInitialized(_this), "updateImagesToUpload", function (imagesToUpload, callback) {
      _this.setState({
        imagesToUpload: []
      }, function () {
        _this.setState({
          imagesToUpload: imagesToUpload
        }, callback);
      });
    });

    return _this;
  }

  _createClass(UserUploaderTab, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      setTimeout(function () {
        if (_this2.props.isMobile) {
          _this2.fileInput.click();
        }
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var _this$props4 = this.props,
          isMobile = _this$props4.isMobile,
          appState = _this$props4.appState;
      var _this$state = this.state,
          step = _this$state.step,
          _this$state$errorMsg = _this$state.errorMsg,
          errorMsg = _this$state$errorMsg === void 0 ? '' : _this$state$errorMsg,
          _this$state$progressB = _this$state.progressBar,
          color = _this$state$progressB.color,
          status = _this$state$progressB.status,
          imagesToUpload = _this$state.imagesToUpload;
      var uploadBlock_style = _index.DragDropCss.container.uploadBlock;
      var extensions = appState.config.extensions;
      var isUserExtensions = !!extensions.length;
      return /*#__PURE__*/_react.default.createElement("div", {
        style: _index.DragDropCss.container
      }, step === STEP.PROCESS && /*#__PURE__*/_react.default.createElement(_PreUploadProcess.default, _extends({
        imagesToUpload: imagesToUpload
      }, {
        appState: appState,
        upload: this.upload,
        cancelUpload: this.cancelUpload,
        updateFilesAndUpload: this.updateFilesAndUpload,
        updateImagesToUpload: this.updateImagesToUpload
      })), step !== STEP.UPLOADED && step !== STEP.PROCESS && /*#__PURE__*/_react.default.createElement(_UserUploaderTab.Container, {
        onDragOver: this.setDragOverOn,
        onDragEnter: this.setDragOverOn,
        onDragLeave: this.setDragOverOff,
        onDragEnd: this.setDragOverOff,
        onDrop: this.fileDropHandler,
        isDragOver: this.state.isDragOver,
        method: 'post',
        encType: "multipart/form-data"
      }, (step === STEP.DEFAULT || step === STEP.ERROR) && /*#__PURE__*/_react.default.createElement("div", {
        style: uploadBlock_style.inputBox
      }, /*#__PURE__*/_react.default.createElement("input", {
        style: uploadBlock_style.inputBox.file,
        type: "file",
        name: "files[]",
        ref: function ref(node) {
          return _this3.fileInput = node;
        },
        "data-multiple-caption": "{count} files selected",
        defaultValue: '',
        tabIndex: -1,
        multiple: true,
        onChange: this.fileChangeHandler
      }), /*#__PURE__*/_react.default.createElement("div", null, !isMobile && /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_index3.SearchTitle, {
        show: true
      }, _reactI18nify.I18n.t('upload.drag_file_here')), /*#__PURE__*/_react.default.createElement(_UserUploaderTab.ItemName, null, _reactI18nify.I18n.t('upload.or'))), /*#__PURE__*/_react.default.createElement(_UserUploaderTab.BrowseButton, {
        key: "browse-your-computer",
        autoFocus: true,
        onClick: function onClick() {
          _this3.fileInput.click();
        }
      }, isMobile ? 'Make a photo or choose from your gallery' : _reactI18nify.I18n.t('upload.browse_your_computer')), !isMobile && /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_UserUploaderTab.ItemName, {
        pb: '0'
      }, _reactI18nify.I18n.t('upload.or')), /*#__PURE__*/_react.default.createElement(_index3.SearchWrapper, null, /*#__PURE__*/_react.default.createElement(_index3.SearchGroup, null, /*#__PURE__*/_react.default.createElement(_index3.InputSearch, {
        type: "search",
        ref: function ref(node) {
          return _this3._uploadFromWebField = node;
        },
        autoFocus: true,
        defaultValue: '',
        placeholder: _reactI18nify.I18n.t('upload.enter_url_to_upload_from_web'),
        onKeyDown: function onKeyDown(ev) {
          return (0, _index2.isEnterClick)(ev) && _this3.uploadFromWeb();
        }
      }), /*#__PURE__*/_react.default.createElement(_index3.ButtonSearch, {
        key: "ok",
        className: "ae-btn",
        onClick: this.uploadFromWeb
      }, _reactI18nify.I18n.t('upload.upload_btn'))))), /*#__PURE__*/_react.default.createElement(_UserUploaderTab.ItemName, {
        pt: '0'
      }, isUserExtensions ? "".concat(_reactI18nify.I18n.t('upload.accepted_file_types'), ": ").concat((0, _UserUploaderTab2.processExtensions)(extensions).join(", "), ". ").concat(_reactI18nify.I18n.t('upload.accepted_file_size')) : _reactI18nify.I18n.t('upload.accepted_file_size'))), /*#__PURE__*/_react.default.createElement("div", {
        ref: "submitBtn",
        className: "ae-btn",
        style: uploadBlock_style.inputBox.submitBtn,
        type: "submit"
      }, _reactI18nify.I18n.t('upload.upload_btn'))), step === STEP.UPLOADING && /*#__PURE__*/_react.default.createElement(_ProgressCircle.ProgressCircle, {
        status: status,
        color: color
      }), step === STEP.ERROR && /*#__PURE__*/_react.default.createElement("div", {
        style: uploadBlock_style.errorBox
      }, /*#__PURE__*/_react.default.createElement("span", {
        style: uploadBlock_style.errorBox.errorMsg,
        role: "alert"
      }, errorMsg))));
    }
  }]);

  return UserUploaderTab;
}(_react.Component);

var _default = UserUploaderTab;
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(STEP, "STEP", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.js");

  __REACT_HOT_LOADER__.register(UserUploaderTab, "UserUploaderTab", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.js");
}();

;