"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _SortTick = _interopRequireDefault(require("./SortTick"));

var _reactI18nify = require("react-i18nify");

var _styledComponents = require("../../styledComponents");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var SORT_COLS = [['name', 'Name'], //['size', 'Size'],
['type', 'Type'], ['uploaded_at', 'Uploaded'], ['modified_at', 'Modified']];

var SortDropdown = /*#__PURE__*/function (_Component) {
  _inherits(SortDropdown, _Component);

  var _super = _createSuper(SortDropdown);

  function SortDropdown(props) {
    var _this;

    _classCallCheck(this, SortDropdown);

    _this = _super.call(this, props);

    _defineProperty(_assertThisInitialized(_this), "state", {
      isDropdownOpened: false
    });

    _defineProperty(_assertThisInitialized(_this), "globalClickHandler", function (_ref) {
      var target = _ref.target;
      var dropdownElem = (_this.dropdownContainerRef || {}).current || null;
      var isOutsideClick = dropdownElem && dropdownElem !== target && !dropdownElem.contains(target);

      if (isOutsideClick) {
        _this.closeDropdown();
      }
    });

    _defineProperty(_assertThisInitialized(_this), "btnClickHandler", function (ev) {
      ev.preventDefault();

      _this.setState(function (_ref2) {
        var isDropdownOpened = _ref2.isDropdownOpened;
        return {
          isDropdownOpened: !isDropdownOpened
        };
      });
    });

    _defineProperty(_assertThisInitialized(_this), "closeDropdown", function () {
      _this.setState({
        isDropdownOpened: false
      });
    });

    _defineProperty(_assertThisInitialized(_this), "sort", function (type) {
      var _this$props = _this.props,
          _this$props$sortParam = _this$props.sortParams;
      _this$props$sortParam = _this$props$sortParam === void 0 ? {} : _this$props$sortParam;
      var field = _this$props$sortParam.field,
          isUp = _this$props$sortParam.isUp,
          applySort = _this$props.applySort;

      if (field === type) {
        return applySort({
          field: field,
          isUp: !isUp
        });
      }

      applySort({
        field: type,
        isUp: true
      });
    });

    _defineProperty(_assertThisInitialized(_this), "generateI18nKey", function (str) {
      return (str || '').toLowerCase().replace(/\s/gi, '_');
    });

    _this.dropdownContainerRef = /*#__PURE__*/_react.default.createRef();
    _this.state = {
      sortCols: [].concat(SORT_COLS)
    };
    return _this;
  }

  _createClass(SortDropdown, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      window.addEventListener('click', this.globalClickHandler);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('click', this.globalClickHandler);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props$sortParam2 = this.props.sortParams;
      _this$props$sortParam2 = _this$props$sortParam2 === void 0 ? {} : _this$props$sortParam2;
      var field = _this$props$sortParam2.field,
          isUp = _this$props$sortParam2.isUp;
      var _this$state = this.state,
          isDropdownOpened = _this$state.isDropdownOpened,
          sortCols = _this$state.sortCols;
      var activeField = field ? sortCols.find(function (_ref3) {
        var _ref4 = _slicedToArray(_ref3, 1),
            key = _ref4[0];

        return key === field;
      }) : null;
      var activeFieldName = (activeField || [])[1] || null;
      return /*#__PURE__*/_react.default.createElement(_styledComponents.SortButton, {
        as: "div",
        ref: this.dropdownContainerRef,
        className: "ai-btn default-btn",
        style: {
          display: 'flex',
          justifyContent: 'center',
          alignItems: 'center',
          textDecoration: 'none',
          position: 'relative'
        },
        onClick: this.btnClickHandler
      }, /*#__PURE__*/_react.default.createElement("div", {
        style: {
          display: 'flex',
          alignItems: 'center'
        }
      }, field && /*#__PURE__*/_react.default.createElement(_SortTick.default, {
        flex: true,
        color: "white",
        active: true,
        isUp: isUp
      }), /*#__PURE__*/_react.default.createElement("span", {
        className: "ai-btn-label ai-btn-label-visible"
      }, field ? _reactI18nify.I18n.t("upload.".concat(this.generateI18nKey(activeFieldName || field))) : _reactI18nify.I18n.t('upload.sort'))), isDropdownOpened && /*#__PURE__*/_react.default.createElement("ul", {
        tabIndex: 1,
        className: "options-dropdown-menu",
        style: {
          top: 35,
          left: '50%',
          width: 120,
          zIndex: 1,
          transform: 'translate(-50%)',
          outline: 0
        }
      }, sortCols.map(function (_ref5) {
        var _ref6 = _slicedToArray(_ref5, 2),
            key = _ref6[0],
            name = _ref6[1];

        return /*#__PURE__*/_react.default.createElement("li", {
          key: key,
          className: field === key ? 'active' : ''
        }, /*#__PURE__*/_react.default.createElement("button", {
          onClick: _this2.sort.bind(_this2, key)
        }, _reactI18nify.I18n.t("upload.".concat(_this2.generateI18nKey(name || key))), ' ', /*#__PURE__*/_react.default.createElement(_SortTick.default, {
          color: "dark",
          active: field === key,
          isUp: isUp
        })));
      })));
    }
  }]);

  return SortDropdown;
}(_react.Component);

var _default = SortDropdown;
var _default2 = _default;
exports.default = _default2;
SortDropdown.propTypes = {
  applySort: _propTypes.default.func.isRequired,
  sortParams: _propTypes.default.object.isRequired
};
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(SORT_COLS, "SORT_COLS", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\SortDropdown.js");

  __REACT_HOT_LOADER__.register(SortDropdown, "SortDropdown", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\SortDropdown.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\SortDropdown.js");
}();

;