"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = require("../../styledComponents");

var API = _interopRequireWildcard(require("../../services/api.service"));

var _Spinner = require("../Spinner");

var _UploadedImagesContent = _interopRequireDefault(require("./UploadedImagesContent"));

var _utils = require("../../utils");

var _reactI18nify = require("react-i18nify");

var _config2 = require("../../config");

var _FolderManager = _interopRequireDefault(require("./folderManager/FolderManager"));

var _ProgressCircle = require("../ProgressCircle");

var _SortDropdown = _interopRequireDefault(require("./SortDropdown"));

var _UserUploaderTab = require("../UploadImagesTab/UserUploaderTab.utils");

var _icons = require("../../utils/icons.utils");

var _PreUploadProcess = _interopRequireDefault(require("../UploadImagesTab/PreUploadProcess"));

var _confirmPopup = _interopRequireDefault(require("../confirm-popup"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var STEP = {
  DEFAULT: 'DEFAULT',
  UPLOADING: 'UPLOADING',
  ERROR: 'ERROR',
  UPLOADED: 'UPLOADED',
  PROCESS: 'PROCESS'
};

var UploadedImagesTab = /*#__PURE__*/function (_Component) {
  _inherits(UploadedImagesTab, _Component);

  var _super = _createSuper(UploadedImagesTab);

  function UploadedImagesTab(_props) {
    var _this;

    _classCallCheck(this, UploadedImagesTab);

    _this = _super.call(this);

    _defineProperty(_assertThisInitialized(_this), "activateFolder", function (path) {
      _this.setState({
        files: [],
        path: path
      });

      _this.onGetListFiles(path, 0, null, true);
    });

    _defineProperty(_assertThisInitialized(_this), "fileChangeHandler", function (_ref) {
      var target = _ref.target;
      var _this$props = _this.props,
          appState = _this$props.appState,
          showAlert = _this$props.showAlert;
      var extensions = appState.config.extensions;
      var isValid = (0, _UserUploaderTab.validateExtensions)(target.files, extensions, showAlert);
      if (isValid) _this.changeFile(target.files);
    });

    _defineProperty(_assertThisInitialized(_this), "changeFile", function () {
      var files = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
      var config = _this.props.appState.config;
      var isAllImages = [].every.call(files, function (file) {
        return file.type && (0, _icons.isImage)(file.type);
      });
      var count = 0;

      if ((config.preUploadImageProcess || config.processBeforeUpload) && isAllImages) {
        if (!config.processBeforeUpload) _this.setState({
          resultFiles: files,
          step: STEP.PROCESS
        });

        if (files && files[0]) {
          count = files.length;

          _toConsumableArray(files).forEach(function (file, index) {
            var reader = new FileReader();

            reader.onload = function (event) {
              var _this$state$imagesToU = _this.state.imagesToUpload,
                  imagesToUpload = _this$state$imagesToU === void 0 ? [] : _this$state$imagesToU;

              _this.setState({
                imagesToUpload: [].concat(_toConsumableArray(imagesToUpload), [{
                  src: event.target.result,
                  file: file
                }])
              });

              if (count === index + 1) {
                _this.setState({
                  resultFiles: files,
                  step: STEP.PROCESS
                });
              }
            };

            reader.readAsDataURL(file);
          });
        }
      } else {
        _this.setState({
          resultFiles: files
        }, _this.upload);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "upload", function () {
      var isUploadFromUrl = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
      var urls = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
      var path = _this.state.path;
      var self = _this.props;
      var config = _this.props.appState.config;
      var files = isUploadFromUrl ? urls : _this.state.resultFiles;
      var dataType = isUploadFromUrl ? 'application/json' : 'files[]';

      _this.uploadStart();

      API.uploadFiles({
        files: files,
        config: _objectSpread(_objectSpread({}, config), {}, {
          onUploadProgress: _this.onUploadProgress
        }),
        data_type: dataType,
        dir: path,
        showAlert: _this.props.showAlert
      }).then(function (_ref2) {
        var _ref3 = _slicedToArray(_ref2, 3),
            files = _ref3[0],
            isDuplicate = _ref3[1],
            isReplacingData = _ref3[2];

        if (isReplacingData || isDuplicate) {
          _this.props.showAlert('', _reactI18nify.I18n.t('upload.file_already_exists'), 'info');
        }

        _this.uploadSuccess(files);

        if (config.tagging.active) {
          _this.props.saveUploadedFiles(files);

          _this.props.setPostUpload(true, 'TAGGING', 'MY_GALLERY', {
            path: path
          });

          return;
        }

        config.uploadHandler(files, {
          stage: 'upload'
        });
        self.closeModal();
      }).catch(function () {
        _this.uploadError();
      });
    });

    _defineProperty(_assertThisInitialized(_this), "changeStep", function (step) {
      return _this.setState({
        step: step
      });
    });

    _defineProperty(_assertThisInitialized(_this), "uploadStart", function () {
      return _this.setState({
        step: STEP.UPLOADING,
        files: []
      });
    });

    _defineProperty(_assertThisInitialized(_this), "uploadSuccess", function (uploadedFiles) {
      _this.setState({
        step: STEP.UPLOADED,
        uploadedFiles: uploadedFiles,
        isDragOver: false
      });

      _this.onGetListFiles(_this.state.path);
    });

    _defineProperty(_assertThisInitialized(_this), "uploadError", function () {
      _this.changeStep(STEP.DEFAULT);
    });

    _defineProperty(_assertThisInitialized(_this), "fileDropHandler", function (event) {
      event.preventDefault();
      var _this$props2 = _this.props,
          appState = _this$props2.appState,
          showAlert = _this$props2.showAlert;
      var extensions = appState.config.extensions;
      var files = (event.dataTransfer || event.originalEvent.dataTransfer).files;
      var isValid = (0, _UserUploaderTab.validateExtensions)(files, extensions, showAlert);
      if (isValid) _this.changeFile(files);
    });

    _defineProperty(_assertThisInitialized(_this), "onDragEvent", function (event, field, value) {
      event.preventDefault();

      _this.setState(_defineProperty({}, field, value));
    });

    _defineProperty(_assertThisInitialized(_this), "onSearchChange", function (event) {
      _this.setState({
        searchPhrase: event.target.value
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onGetListFiles", function (dir) {
      var offset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
      var resizeOnSuccess = arguments.length > 2 ? arguments[2] : undefined;
      var isSort = arguments.length > 3 ? arguments[3] : undefined;
      var _this$state = _this.state,
          sortParams = _this$state.sortParams,
          imagesIndex = _this$state.imagesIndex,
          imagesIndexWrapper = _this$state.imagesIndexWrapper;
      var _this$props$appState$ = _this.props.appState.config,
          container = _this$props$appState$.container,
          uploadKey = _this$props$appState$.uploadKey,
          baseAPI = _this$props$appState$.baseAPI,
          platform = _this$props$appState$.platform;

      _this.setState({
        isShowMoreImages: !!offset,
        isLoading: !offset
      });

      (0, API.getListFiles)({
        dir: dir,
        container: container,
        offset: offset,
        uploadKey: uploadKey,
        baseAPI: baseAPI,
        platform: platform,
        sortParams: sortParams
      }).then(function (_ref4) {
        var _ref5 = _slicedToArray(_ref4, 3),
            files = _ref5[0],
            directories = _ref5[1],
            totalFilesCount = _ref5[2];

        var prevFiles = !offset ? [] : _this.state.files;

        _this.setState({
          files: [].concat(_toConsumableArray(prevFiles), _toConsumableArray(files)),
          directories: !offset ? directories : _this.state.directories,
          isLoading: false,
          isShowMoreImages: false,
          offset: offset,
          totalFilesCount: totalFilesCount
        }, function () {
          setTimeout(function () {
            if (isSort) {
              _this.setState({
                imagesIndex: imagesIndex + 1,
                imagesIndexWrapper: imagesIndexWrapper + 1
              });
            } else {
              typeof resizeOnSuccess === 'function' && resizeOnSuccess();
            }
          });
        });
      }).catch(function () {
        _this.setState({
          files: [],
          isLoading: false,
          isShowMoreImages: false
        });
      });
    });

    _defineProperty(_assertThisInitialized(_this), "search", function () {
      var offset = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
      var resizeOnSuccess = arguments.length > 1 ? arguments[1] : undefined;
      var _this$state2 = _this.state,
          _this$state2$searchPh = _this$state2.searchPhrase,
          searchPhrase = _this$state2$searchPh === void 0 ? '' : _this$state2$searchPh,
          imagesIndex = _this$state2.imagesIndex;
      var _this$props$appState$2 = _this.props.appState.config,
          container = _this$props$appState$2.container,
          language = _this$props$appState$2.language,
          uploadKey = _this$props$appState$2.uploadKey,
          baseAPI = _this$props$appState$2.baseAPI,
          platform = _this$props$appState$2.platform;

      if (searchPhrase.length < 2) {
        _this.goToDefaultFolder();
      }

      _this.setState({
        isShowMoreImages: !!offset,
        isLoading: !offset
      });

      (0, API.searchFiles)({
        query: searchPhrase,
        language: language,
        container: container,
        baseAPI: baseAPI,
        platform: platform,
        offset: offset,
        uploadKey: uploadKey
      }).then(function (_ref6) {
        var _ref7 = _slicedToArray(_ref6, 2),
            files = _ref7[0],
            totalFilesCount = _ref7[1];

        var prevFiles = !offset ? [] : _this.state.files;
        var nextOfset = offset;

        _this.setState({
          files: [].concat(_toConsumableArray(prevFiles), _toConsumableArray(files)),
          isLoading: false,
          isShowMoreImages: false,
          totalFilesCount: totalFilesCount,
          offset: offset
        }, function () {
          setTimeout(function () {
            _this.setState({
              imagesIndex: !nextOfset ? imagesIndex + 1 : imagesIndex
            });

            typeof resizeOnSuccess === 'function' && resizeOnSuccess();
          });
        });
      });
    });

    _defineProperty(_assertThisInitialized(_this), "forceUpdate", function () {
      var imageGridWrapper = document.querySelector('#image-grid-wrapper');
      var modalWrapper = document.querySelector('#modal-wrapper');
      var modalWrapperOffsetLeft = modalWrapper.offsetLeft;
      modalWrapper.style.left = "".concat(modalWrapperOffsetLeft - 2, "px");
      modalWrapper.style.transform = "translateX(2px)";
      if (imageGridWrapper) imageGridWrapper.scrollBy(0, 1);
      setTimeout(function () {
        modalWrapper.style.left = "".concat(modalWrapperOffsetLeft, "px");
        modalWrapper.style.transform = "translateX(0px)";
        if (imageGridWrapper) imageGridWrapper.scrollBy(0, -1);
      }, 100);
    });

    _defineProperty(_assertThisInitialized(_this), "onDeleteFile", function () {
      _this.setState({
        files: []
      }, function () {
        _this.onGetListFiles(_this.state.path);
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onShowMoreImages", function (resizeOnSuccess) {
      if (_this.state.isShowMoreImages) return;

      if (_this.state.searchPhrase) {
        var _this$state3 = _this.state,
            totalFilesCount = _this$state3.totalFilesCount,
            offset = _this$state3.offset;

        if (totalFilesCount > offset + _config2.GALLERY_IMAGES_LIMIT) {
          offset = offset + _config2.GALLERY_IMAGES_LIMIT;
          return _this.search(offset, resizeOnSuccess);
        }
      } else {
        var _this$state4 = _this.state,
            _totalFilesCount = _this$state4.totalFilesCount,
            _offset = _this$state4.offset,
            path = _this$state4.path;

        if (_totalFilesCount > _offset + _config2.GALLERY_IMAGES_LIMIT) {
          _offset = _offset + _config2.GALLERY_IMAGES_LIMIT;
          return _this.onGetListFiles(path, _offset, resizeOnSuccess);
        }
      }
    });

    _defineProperty(_assertThisInitialized(_this), "goToLevelUpFolder", function (event) {
      event.preventDefault();
      event.stopPropagation();
      var path = _this.state.path;

      _this.activateFolder(path.slice(0, path.lastIndexOf('/')));
    });

    _defineProperty(_assertThisInitialized(_this), "goToDefaultFolder", function () {
      event.preventDefault();
      event.stopPropagation();

      _this.setState({
        searchPhrase: '',
        searchInputIndex: _this.state.searchInputIndex + 1
      }, function () {
        _this.activateFolder(_this.state.path);
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onKeyDownSearch", function (event) {
      if ((0, _utils.isEnterClick)(event) && _this.state.searchPhrase.length > 1) _this.search();else if ((0, _utils.isEnterClick)(event) && _this.state.searchPhrase.length === 0) _this.goToDefaultFolder();
    });

    _defineProperty(_assertThisInitialized(_this), "onUploadProgress", function (progressEvent) {
      var percentCompleted = Math.round(progressEvent.loaded * 100 / progressEvent.total);

      _this.setState({
        progressBar: {
          status: percentCompleted,
          color: percentCompleted > 99 ? _ProgressCircle.PROGRESS_COLORS.SUCCESS : _ProgressCircle.PROGRESS_COLORS.DEFAULT
        }
      });
    });

    _defineProperty(_assertThisInitialized(_this), "applySort", function (newSortParams) {
      var _this$state5 = _this.state,
          sortParams = _this$state5.sortParams,
          path = _this$state5.path;

      var nextSortParams = _objectSpread(_objectSpread({}, sortParams || {}), newSortParams || {});

      _this.setState({
        sortParams: nextSortParams
      }, function () {
        _this.activateFolder(path);
      });
    });

    _defineProperty(_assertThisInitialized(_this), "updateTabState", function (props, callback) {
      return _this.setState(props, callback);
    });

    _defineProperty(_assertThisInitialized(_this), "deselectItems", function () {
      _this.setState({
        selectedItems: []
      }, _this.forceUpdate);
    });

    _defineProperty(_assertThisInitialized(_this), "cancelUpload", function () {
      _this.setState({
        step: STEP.DEFAULT,
        uploadedFiles: [],
        imagesToUpload: [],
        isDragOver: false
      });
    });

    _defineProperty(_assertThisInitialized(_this), "updateFilesAndUpload", function (files) {
      _this.setState({
        resultFiles: files
      }, _this.upload);
    });

    _defineProperty(_assertThisInitialized(_this), "updateImagesToUpload", function (imagesToUpload, callback) {
      _this.setState({
        imagesToUpload: []
      }, function () {
        _this.setState({
          imagesToUpload: imagesToUpload
        }, callback);
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onClickDelete", function (item) {
      _this.setState({
        activeItem: item
      }, _this.togglePopup);
    });

    _defineProperty(_assertThisInitialized(_this), "onDeleteImage", function (event) {
      var appState = _this.props.appState;
      var _this$state6 = _this.state,
          selectedItems = _this$state6.selectedItems,
          activeItem = _this$state6.activeItem;
      var _appState$config = appState.config,
          container = _appState$config.container,
          uploadKey = _appState$config.uploadKey,
          baseAPI = _appState$config.baseAPI,
          platform = _appState$config.platform;
      event.preventDefault();
      event.stopPropagation();
      (0, API.deleteImage)({
        uuids: selectedItems.length ? selectedItems : [activeItem.uuid],
        container: container,
        uploadKey: uploadKey,
        baseAPI: baseAPI,
        platform: platform
      }).then(function (responses) {
        var isAllDeleted = responses.every(function (response) {
          return response.status === 'success';
        });

        if (isAllDeleted) {
          _this.updateTabState({
            selectedItems: []
          });

          _this.onDeleteFile();

          _this.togglePopup();
        } else alert(_reactI18nify.I18n.t('tagging.something_went_wrong_try_again'));
      }).catch(function () {
        alert(_reactI18nify.I18n.t('tagging.something_went_wrong_try_again'));
      });
    });

    _defineProperty(_assertThisInitialized(_this), "togglePopup", function () {
      _this.setState({
        isOpenedPopup: !_this.state.isOpenedPopup
      }, _this.forceUpdate);
    });

    var _path = _props.path,
        _appState = _props.appState;
    var currentPath = _appState.path,
        _config = _appState.config;
    var _sortParams = _config.sortParams,
        uploadParams = _config.uploadParams;
    _this.state = {
      searchPhrase: '',
      isLoading: false,
      imagesIndex: 0,
      searchInputIndex: 0,
      files: [],
      imagesToUpload: [],
      directories: [],
      isShowMoreImages: false,
      showFileManager: false,
      path: currentPath || _path || uploadParams.dir,
      progressBar: {
        color: _ProgressCircle.PROGRESS_COLORS.DEFAULT,
        status: 0
      },
      sortParams: {
        field: _sortParams.field,
        isUp: _sortParams.order === 'asc'
      },
      totalFilesCount: 0,
      imagesIndexWrapper: 0,
      selectedItems: [],
      isOpenedPopup: false
    };
    return _this;
  }

  _createClass(UploadedImagesTab, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var path = this.state.path;
      this.onGetListFiles(path);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$state7 = this.state,
          isLoading = _this$state7.isLoading,
          step = _this$state7.step,
          files = _this$state7.files,
          isDragOver = _this$state7.isDragOver,
          imagesIndex = _this$state7.imagesIndex,
          directories = _this$state7.directories,
          path = _this$state7.path,
          _this$state7$searchPh = _this$state7.searchPhrase,
          searchPhrase = _this$state7$searchPh === void 0 ? '' : _this$state7$searchPh,
          _this$state7$progress = _this$state7.progressBar,
          color = _this$state7$progress.color,
          status = _this$state7$progress.status,
          sortParams = _this$state7.sortParams,
          imagesIndexWrapper = _this$state7.imagesIndexWrapper,
          selectedItems = _this$state7.selectedItems,
          imagesToUpload = _this$state7.imagesToUpload,
          isOpenedPopup = _this$state7.isOpenedPopup;
      var _this$props3 = this.props,
          appState = _this$props3.appState,
          showAlert = _this$props3.showAlert;
      var config = appState.config;
      var isUpload = config.myGallery.upload,
          showSortBtn = config.sortParams.show,
          folderBrowser = config.folderBrowser;
      var isTooShortSearchPhrase = searchPhrase.length < 2;
      var isCheckedOne = selectedItems.length === 1 || !selectedItems.length;
      return /*#__PURE__*/_react.default.createElement(_styledComponents.UploadedImages, null, step === STEP.PROCESS && /*#__PURE__*/_react.default.createElement(_PreUploadProcess.default, _extends({
        imagesToUpload: imagesToUpload
      }, {
        appState: appState,
        upload: this.upload,
        cancelUpload: this.cancelUpload,
        updateFilesAndUpload: this.updateFilesAndUpload,
        updateImagesToUpload: this.updateImagesToUpload
      })), step !== STEP.PROCESS && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, isUpload && /*#__PURE__*/_react.default.createElement(_styledComponents.UploadInputBox, {
        type: "file",
        name: "files[]",
        ref: function ref(node) {
          return _this2.fileInput = node;
        },
        "data-multiple-caption": "{count} files selected",
        defaultValue: '',
        tabIndex: -1,
        multiple: true,
        onChange: this.fileChangeHandler
      }), /*#__PURE__*/_react.default.createElement(_styledComponents.HeaderWrap, null, /*#__PURE__*/_react.default.createElement(_styledComponents.SearchWrapper, null, /*#__PURE__*/_react.default.createElement(_styledComponents.SearchGroup, {
        padding: '0px'
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.InputSearch, {
        searchInputIndex: this.state.searchInputIndex,
        type: "text",
        ref: function ref(node) {
          return _this2._searchInput = node;
        },
        autoFocus: true,
        value: searchPhrase,
        placeholder: _reactI18nify.I18n.t('file_manager.search_by_file_name_tag_desc'),
        onChange: this.onSearchChange,
        onKeyDown: this.onKeyDownSearch
      }), searchPhrase && /*#__PURE__*/_react.default.createElement(_styledComponents.ButtonClose, {
        onClick: this.goToDefaultFolder
      }), /*#__PURE__*/_react.default.createElement(_styledComponents.ButtonSearch, {
        key: "ok",
        disabled: isTooShortSearchPhrase,
        className: "ae-btn",
        onClick: function onClick() {
          _this2.search();
        }
      }, _reactI18nify.I18n.t('upload.search')))), /*#__PURE__*/_react.default.createElement(_styledComponents.ActionButtonsWrapper, null, selectedItems.length && /*#__PURE__*/_react.default.createElement(_styledComponents.ButtonSearch, {
        hide: !isUpload,
        className: "ae-btn",
        fullBr: '4px',
        mr: 6,
        onClick: this.deselectItems
      }, _reactI18nify.I18n.t('file_manager.deselect_all')), showSortBtn && /*#__PURE__*/_react.default.createElement(_SortDropdown.default, {
        applySort: this.applySort,
        sortParams: sortParams
      }), /*#__PURE__*/_react.default.createElement(_styledComponents.ButtonSearch, {
        hide: !isUpload,
        className: "ae-btn",
        fullBr: '4px',
        onClick: function onClick() {
          _this2.fileInput.click();
        }
      }, _reactI18nify.I18n.t('file_manager.upload_images')))), folderBrowser.show && /*#__PURE__*/_react.default.createElement(_styledComponents.Nav, null, /*#__PURE__*/_react.default.createElement(_FolderManager.default, {
        path: path,
        rootDir: folderBrowser.rootFolder,
        folders: directories,
        goToLevelUpFolder: this.goToLevelUpFolder,
        changeFolder: this.activateFolder,
        isLoading: isLoading
      })), /*#__PURE__*/_react.default.createElement(_UploadedImagesContent.default, {
        imagesIndexWrapper: imagesIndexWrapper,
        isUpload: isUpload,
        appState: this.props.appState,
        upload: this.upload,
        setAppState: this.props.setAppState,
        imagesIndex: imagesIndex,
        onDragEvent: this.onDragEvent,
        fileDropHandler: this.fileDropHandler,
        isDragOver: isDragOver,
        saveUploadedFiles: this.props.saveUploadedFiles,
        setPostUpload: this.props.setPostUpload,
        files: files,
        closeModal: this.props.closeModal,
        onShowMoreImages: this.onShowMoreImages,
        isShowMoreImages: this.state.isShowMoreImages,
        isLoading: isLoading,
        path: path,
        forceUpdate: this.forceUpdate,
        showAlert: showAlert,
        onDeleteFile: this.onDeleteFile,
        selectedItems: selectedItems,
        updateTabState: this.updateTabState,
        onClickDelete: this.onClickDelete
      })), step === STEP.UPLOADING && /*#__PURE__*/_react.default.createElement(_ProgressCircle.ProgressCircle, {
        status: status,
        color: color
      }), isOpenedPopup && /*#__PURE__*/_react.default.createElement(_confirmPopup.default, {
        accept: _reactI18nify.I18n.t('deletePopup.accept'),
        cancel: _reactI18nify.I18n.t('deletePopup.cancel'),
        title: "".concat(_reactI18nify.I18n.t('deletePopup.title'), "?"),
        msg: "".concat(_reactI18nify.I18n.t('deletePopup.msg'), " ").concat(selectedItems.length || 1, " ").concat(isCheckedOne ? _reactI18nify.I18n.t('deletePopup.file') : _reactI18nify.I18n.t('deletePopup.files'), "?"),
        onClickAccept: function onClickAccept(event) {
          _this2.onDeleteImage(event);
        },
        onClickCancel: this.togglePopup
      }), /*#__PURE__*/_react.default.createElement(_Spinner.Spinner, {
        overlay: true,
        show: isLoading && step !== STEP.UPLOADING
      }));
    }
  }]);

  return UploadedImagesTab;
}(_react.Component);

var _default = UploadedImagesTab;
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(STEP, "STEP", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\UploadedImagesTab.js");

  __REACT_HOT_LOADER__.register(UploadedImagesTab, "UploadedImagesTab", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\UploadedImagesTab.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\UploadedImagesTab.js");
}();

;