"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyNote = exports.Overlay = exports.Folder = exports.CloseManagerBtn = exports.ManagerHeaderTitle = exports.ManagerHeader = exports.FolderManagerWrapper = exports.FolderToggleWrapper = exports.FolderIcon = exports.FolderTitle = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _CloseBtn = require("../../CloseBtn");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject13() {
  var data = _taggedTemplateLiteral(["\n  padding: 20px 5px;\n  opacity: 0.7;\n  text-align: center;\n"]);

  _templateObject13 = function _templateObject13() {
    return data;
  };

  return data;
}

function _templateObject12() {
  var data = _taggedTemplateLiteral(["\n  display: ", ";\n  position: absolute;\n  top: 0;\n  bottom: 0;\n  left: 0;\n  right: 0;\n  z-index: 199;\n"]);

  _templateObject12 = function _templateObject12() {
    return data;
  };

  return data;
}

function _templateObject11() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  vertical-align: middle;\n  line-height: 1 !important;\n  width: ", " !important;\n"]);

  _templateObject11 = function _templateObject11() {
    return data;
  };

  return data;
}

function _templateObject10() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  vertical-align: middle;\n  text-overflow: ellipsis;\n  overflow: hidden;\n  white-space: nowrap;\n  width: ", ";\n"]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  vertical-align: middle;\n  width: 20px;\n  height: 20px;\n  margin: 0 5px 0 0;\n  color: #31b0d5;\n"]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  padding: 5px 20px 5px 10px;\n  cursor: pointer;\n  font-size: 14px;\n  \n  :hover {\n    background: rgba(0, 0, 0, 0.1);\n    \n    .remove-icon-folder {\n      display: inline-block !important;\n    }\n    \n    .settings-icon-folder {\n      display: inline-block !important;\n    }\n  }\n"]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = _taggedTemplateLiteral(["\n  font-size: 18px;\n  top: 16px;\n  \n  :hover {\n    color: #7b8189;\n  }\n"]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = _taggedTemplateLiteral(["\n  line-height: 50px;\n  font-size: 14px;\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteral(["\n  height: 50px;\n  color: #5D636B;\n  padding: 0 10px;\n  white-space: nowrap;\n  border-bottom: 1px solid rgb(221,221,221);\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n  position: absolute;\n  left: 0;\n  bottom: 0;\n  top: 80px;\n  color: #5D636B;\n  margin-left: ", ";\n  //visibility: ", ";;\n  width: 200px;\n  background: ", ";\n  border-right: 1px solid rgb(221,221,221);\n  border-top: 1px solid rgb(221,221,221);\n  z-index: 1045;\n  transition: 0.3s margin;\n  overflow: hidden;\n  overflow-y: auto;\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  padding: 5px 0; \n  cursor: pointer;\n  \n  :hover ", " {\n    background-color: ", ";\n    \n    :before {\n      background-color: ", ";\n    }\n  }\n  \n  :hover ", " {\n    color: ", ";\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  width: ", ";\n  height: ", ";\n  margin: 0 auto;\n  position: relative;\n  display: inline-block;\n  vertical-align: middle;\n  background-color: ", ";\n  border-radius: ", ";\n  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.39);\n  margin-right: ", ";\n  \n  :before {\n    content: '';\n    width: 50%;\n    height: ", ";\n    border-radius: ", ";\n    background-color: ", ";\n    position: absolute;\n    top: ", ";\n    left: 0px;\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  vertical-align: middle;\n  color: ", ";\n  margin-left: 10px;\n  font-size: 14px;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var FolderTitle = _styledComponents.default.div(_templateObject(), function (p) {
  return p.theme.text || '#5D636B';
});

exports.FolderTitle = FolderTitle;

var FolderIcon = _styledComponents.default.div(_templateObject2(), function (props) {
  return props.small ? '14px' : '17px';
}, function (props) {
  return props.small ? '10px' : '12px';
}, function (props) {
  return props.theme.buttonBackground || '#708090';
}, function (props) {
  return props.small ? '0 1px 1px 1px' : '0 2px 2px 2px';
}, function (props) {
  return props.mr ? props.mr : 'auto';
}, function (props) {
  return props.small ? '2px' : '3px';
}, function (props) {
  return props.small ? '0 1px 0 0' : '0 2px 0 0';
}, function (props) {
  return props.theme.buttonBackground || '#708090';
}, function (props) {
  return props.small ? '-2px' : '-3px';
});

exports.FolderIcon = FolderIcon;

var FolderToggleWrapper = _styledComponents.default.div(_templateObject3(), FolderIcon, function (p) {
  return p.theme.buttonBackground || '#00707C';
}, function (p) {
  return p.theme.buttonBackground || '#00707C';
}, FolderTitle, function (p) {
  return p.theme.buttonBackground || '#00707C';
});

exports.FolderToggleWrapper = FolderToggleWrapper;

var FolderManagerWrapper = _styledComponents.default.div(_templateObject4(), function (props) {
  return props.showFileManager ? '0px' : '-200px';
}, function (props) {
  return props.showFileManager ? 'visible' : 'hidden';
}, function (p) {
  return p.theme.mainBackground;
});

exports.FolderManagerWrapper = FolderManagerWrapper;

var ManagerHeader = _styledComponents.default.div(_templateObject5());

exports.ManagerHeader = ManagerHeader;

var ManagerHeaderTitle = _styledComponents.default.div(_templateObject6());

exports.ManagerHeaderTitle = ManagerHeaderTitle;
var CloseManagerBtn = (0, _styledComponents.default)(_CloseBtn.CloseBtn)(_templateObject7());
exports.CloseManagerBtn = CloseManagerBtn;

var Folder = _styledComponents.default.div(_templateObject8());

exports.Folder = Folder;
Folder.Icon = _styledComponents.default.div.attrs(function () {
  return {
    className: 'ai-icon-folder'
  };
})(_templateObject9());
Folder.Name = _styledComponents.default.div(_templateObject10(), function (props) {
  return props.isSelect ? 'calc(100% - 40px)' : 'calc(100% - 25px)';
});
Folder.EditName = _styledComponents.default.input(_templateObject11(), function (props) {
  return props.isSelect ? 'calc(100% - 55px)' : 'calc(100% - 30px)';
});

var Overlay = _styledComponents.default.div(_templateObject12(), function (props) {
  return props.show ? 'block' : 'none';
});

exports.Overlay = Overlay;
var EmptyNote = (0, _styledComponents.default)('div')(_templateObject13());
exports.EmptyNote = EmptyNote;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(FolderTitle, "FolderTitle", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\folderManager\\folderManager.styled.js");

  __REACT_HOT_LOADER__.register(FolderIcon, "FolderIcon", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\folderManager\\folderManager.styled.js");

  __REACT_HOT_LOADER__.register(FolderToggleWrapper, "FolderToggleWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\folderManager\\folderManager.styled.js");

  __REACT_HOT_LOADER__.register(FolderManagerWrapper, "FolderManagerWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\folderManager\\folderManager.styled.js");

  __REACT_HOT_LOADER__.register(ManagerHeader, "ManagerHeader", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\folderManager\\folderManager.styled.js");

  __REACT_HOT_LOADER__.register(ManagerHeaderTitle, "ManagerHeaderTitle", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\folderManager\\folderManager.styled.js");

  __REACT_HOT_LOADER__.register(CloseManagerBtn, "CloseManagerBtn", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\folderManager\\folderManager.styled.js");

  __REACT_HOT_LOADER__.register(Folder, "Folder", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\folderManager\\folderManager.styled.js");

  __REACT_HOT_LOADER__.register(Overlay, "Overlay", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\folderManager\\folderManager.styled.js");

  __REACT_HOT_LOADER__.register(EmptyNote, "EmptyNote", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\folderManager\\folderManager.styled.js");
}();

;