"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CancelButton = exports.Button = exports.CloseButton = exports.Title = exports.Footer = exports.Body = exports.Header = exports.Content = exports.Dialog = exports.Overlay = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject10() {
  var data = _taggedTemplateLiteral(["\n  background-color: transparent;\n  color: ", ";\n  border: 1px solid ", ";\n"]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  font-weight: 400;\n  text-align: center;\n  white-space: nowrap;\n  vertical-align: middle;\n  user-select: none;\n  border: 1px solid transparent;\n  padding: .375rem .75rem;\n  font-size: 1rem;\n  line-height: 1.5;\n  border-radius: .25rem;\n  transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;\n  cursor: pointer;\n  color: ", ";\n  background-color: ", ";\n  min-width: 65px;\n  \n  :not(:last-child) {\n    margin-right: .25rem;\n  }\n"]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = _taggedTemplateLiteral(["\n  float: right;\n  font-size: 1.5rem;\n  font-weight: 700;\n  line-height: 1;\n  color: #000;\n  text-shadow: 0 1px 0 #fff;\n  opacity: .5;\n  cursor: pointer;\n  padding: 1rem;\n  margin: -1rem -1rem -1rem auto;\n  background-color: transparent;\n  border: 0;\n"]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = _taggedTemplateLiteral(["\n  margin: 0;\n  line-height: 1.5;\n  color: ", ";\n"]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n  justify-content: flex-end;\n  padding: 1rem;\n  border-top: 1px solid #e9ecef;\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  flex: 1 1 auto;\n  padding: 1rem;\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: flex-start;\n  justify-content: space-between;\n  padding: 1rem;\n  border-bottom: 1px solid #e9ecef;\n  border-top-left-radius: .3rem;\n  border-top-right-radius: .3rem;\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  display: flex;\n  flex-direction: column;\n  width: 100%;\n  max-width: 500px;\n  pointer-events: auto;\n  background-color: #fff;\n  background-clip: padding-box;\n  border: 1px solid rgba(0,0,0,.2);\n  border-radius: .3rem;\n  outline: 0;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  height: 100%;\n  width: 100%;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  position: fixed;\n  top: 0;\n  bottom: 0;\n  left: 0;\n  right: 0;\n  background-color: rgba(0 , 0, 0, .3);\n  color: ", ";\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Overlay = (0, _styledComponents.default)('div')(_templateObject(), function (p) {
  return p.theme.text;
});
exports.Overlay = Overlay;
var Dialog = (0, _styledComponents.default)('div')(_templateObject2());
exports.Dialog = Dialog;
var Content = (0, _styledComponents.default)('div')(_templateObject3());
exports.Content = Content;
var Header = (0, _styledComponents.default)('div')(_templateObject4());
exports.Header = Header;
var Body = (0, _styledComponents.default)('div')(_templateObject5());
exports.Body = Body;
var Footer = (0, _styledComponents.default)('div')(_templateObject6());
exports.Footer = Footer;
var Title = (0, _styledComponents.default)('h5')(_templateObject7(), function (p) {
  return p.theme.title;
});
exports.Title = Title;
var CloseButton = (0, _styledComponents.default)('button')(_templateObject8());
exports.CloseButton = CloseButton;
var Button = (0, _styledComponents.default)('button')(_templateObject9(), function (p) {
  return p.theme.buttonTextColor || '#fff';
}, function (p) {
  return p.theme.buttonBackground || '#00707C';
});
exports.Button = Button;
var CancelButton = (0, _styledComponents.default)(Button)(_templateObject10(), function (p) {
  return p.theme.buttonBackground || '#00707C';
}, function (p) {
  return p.theme.buttonBackground || '#00707C';
});
exports.CancelButton = CancelButton;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(Overlay, "Overlay", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\confirm-popup\\confirm-popup.styled.js");

  __REACT_HOT_LOADER__.register(Dialog, "Dialog", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\confirm-popup\\confirm-popup.styled.js");

  __REACT_HOT_LOADER__.register(Content, "Content", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\confirm-popup\\confirm-popup.styled.js");

  __REACT_HOT_LOADER__.register(Header, "Header", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\confirm-popup\\confirm-popup.styled.js");

  __REACT_HOT_LOADER__.register(Body, "Body", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\confirm-popup\\confirm-popup.styled.js");

  __REACT_HOT_LOADER__.register(Footer, "Footer", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\confirm-popup\\confirm-popup.styled.js");

  __REACT_HOT_LOADER__.register(Title, "Title", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\confirm-popup\\confirm-popup.styled.js");

  __REACT_HOT_LOADER__.register(CloseButton, "CloseButton", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\confirm-popup\\confirm-popup.styled.js");

  __REACT_HOT_LOADER__.register(Button, "Button", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\confirm-popup\\confirm-popup.styled.js");

  __REACT_HOT_LOADER__.register(CancelButton, "CancelButton", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\confirm-popup\\confirm-popup.styled.js");
}();

;