"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ImageEditor = exports.TaggingTab = exports.BackgroundTab = exports.IconTab = exports.UploadedImagesTab = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactLoadable = _interopRequireDefault(require("react-loadable"));

var _Spinner = require("../components/Spinner");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var UploadedImagesTab = (0, _reactLoadable.default)({
  loader: function loader() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require('./UploadedImagesTab/UploadedImagesTab'));
    });
  },
  modules: ['./UploadedImagesTab/UploadedImagesTab'],
  webpack: function webpack() {
    return [require.resolveWeak('./UploadedImagesTab/UploadedImagesTab')];
  },
  loading: function loading() {
    return /*#__PURE__*/_react.default.createElement(_Spinner.Spinner, {
      overlay: true,
      show: true
    });
  }
});
exports.UploadedImagesTab = UploadedImagesTab;
var IconTab = (0, _reactLoadable.default)({
  loader: function loader() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require('./IconsTab/IconTab'));
    });
  },
  modules: ['./IconsTab/IconTab'],
  webpack: function webpack() {
    return [require.resolveWeak('./IconsTab/IconTab')];
  },
  loading: function loading() {
    return /*#__PURE__*/_react.default.createElement(_Spinner.Spinner, {
      overlay: true,
      show: true
    });
  }
});
exports.IconTab = IconTab;
var BackgroundTab = (0, _reactLoadable.default)({
  loader: function loader() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require('./ImagesTab/ImagesTab'));
    });
  },
  modules: ['./ImagesTab/ImagesTab'],
  webpack: function webpack() {
    return [require.resolveWeak('./ImagesTab/ImagesTab')];
  },
  loading: function loading() {
    return /*#__PURE__*/_react.default.createElement(_Spinner.Spinner, {
      overlay: true,
      show: true
    });
  }
});
exports.BackgroundTab = BackgroundTab;
var TaggingTab = (0, _reactLoadable.default)({
  loader: function loader() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require('./TaggingTab/TaggingTab'));
    });
  },
  modules: ['./TaggingTab/TaggingTab'],
  webpack: function webpack() {
    return [require.resolveWeak('./TaggingTab/TaggingTab')];
  },
  loading: function loading() {
    return /*#__PURE__*/_react.default.createElement(_Spinner.Spinner, {
      overlay: true,
      show: true
    });
  }
});
exports.TaggingTab = TaggingTab;
var ImageEditor = (0, _reactLoadable.default)({
  loader: function loader() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require('./imageEditor/ImageEditorWrapper'));
    });
  },
  modules: ['./imageEditor/ImageEditorWrapper'],
  webpack: function webpack() {
    return [require.resolveWeak('./imageEditor/ImageEditorWrapper')];
  },
  loading: function loading() {
    return /*#__PURE__*/_react.default.createElement(_Spinner.Spinner, {
      overlay: true,
      show: true
    });
  }
});
exports.ImageEditor = ImageEditor;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(UploadedImagesTab, "UploadedImagesTab", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\loadable.js");

  __REACT_HOT_LOADER__.register(IconTab, "IconTab", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\loadable.js");

  __REACT_HOT_LOADER__.register(BackgroundTab, "BackgroundTab", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\loadable.js");

  __REACT_HOT_LOADER__.register(TaggingTab, "TaggingTab", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\loadable.js");

  __REACT_HOT_LOADER__.register(ImageEditor, "ImageEditor", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\loadable.js");
}();

;