"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Nav = require("./Nav.styled");

var _reactI18nify = require("react-i18nify");

var _UserUploaderTab = require("../UploadImagesTab/UserUploaderTab.styled");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var _default = function _default(_ref) {
  var tabs = _ref.tabs,
      activeTabId = _ref.activeTabId,
      props = _objectWithoutProperties(_ref, ["tabs", "activeTabId"]);

  return /*#__PURE__*/_react.default.createElement(_UserUploaderTab.Nav, {
    className: "airstore-uploader-navigation"
  }, tabs.map(function (tab) {
    return /*#__PURE__*/_react.default.createElement(_Nav.Tab, {
      selected: activeTabId === tab.id,
      href: "#",
      role: "menuitem",
      id: "tab-".concat(tab.id),
      key: "tab-".concat(tab.id),
      className: "tab-header-item selected ".concat(activeTabId === tab.id ? 'active' : ''),
      onClick: function onClick(event) {
        event.preventDefault();
        props.activateTab(event, tab.id);
      }
    }, /*#__PURE__*/_react.default.createElement("i", {
      className: tab.iconClass
    }), /*#__PURE__*/_react.default.createElement("span", {
      title: tab.fullName
    }, _reactI18nify.I18n.t(tab.shortName)));
  }));
};

var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\nav\\Nav.js");
}();

;