"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tab = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  font-family: Roboto, sans-serif;\n  color: ", ";\n  background-color: ", ";\n  text-decoration: none;\n  font-size: 12px;\n  line-height: 21px;\n  padding: 9px 12px;\n  cursor: pointer;\n  border-left: 2px solid transparent;\n  border-right: 2px solid transparent;\n  border-top: 2px solid transparent;\n  border-bottom: 2px solid transparent;\n  text-transform: uppercase;\n  font-weight: 400;\n  display: inline-block;\n  vertical-align: top;\n\n  // :first-child {\n  //   margin-left: 5px;\n  // }\n\n  :hover {\n    color: ", ";\n    background-color: ", ";\n  }\n\n  i {\n    font-size: 21px;\n    line-height: 21px;\n    margin-right: 5px;\n    display: inline-block;\n    vertical-align: middle;\n  }\n\n  span {\n    display: inline-block;\n    vertical-align: middle;\n    \n    @media screen and (max-width: 850px) {\n      display: none;\n    }\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Tab = _styledComponents.default.a(_templateObject(), function (props) {
  return props.selected ? props.theme.activeTabTextColor : props.theme.tabTextColor;
}, function (props) {
  return props.selected ? props.theme.activeTabBackground : 'transparent';
}, function (props) {
  return props.selected ? props.theme.activeTabTextColor : props.theme.tabTextColor;
}, function (props) {
  return props.theme.activeTabBackground || 'transparent';
});

exports.Tab = Tab;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(Tab, "Tab", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\nav\\Nav.styled.js");
}();

;