"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.COLORS = exports.REPLACING_DATA_CODE = exports.DUPLICATE_CODE = exports.GALLERY_IMAGES_LIMIT = exports.DEFAULT_ICON_SIZE = exports.default = void 0;
var _default = {
  modules: ['UPLOAD', 'MY_GALLERY', 'ICONS_GALLERY', 'IMAGES_GALLERY'],
  initialTab: 'UPLOAD',
  container: 'example',
  elementID: 'airstore-uploader',
  openpixKey: 'xxxxxxxxxxxxxxx',
  cloudimageToken: 'demo',
  filerobotUploadKey: '',
  uploadParams: {
    dir: '/'
  },
  language: 'en',
  folderBrowser: {
    show: true,
    rootFolder: '/' // use cannot go up above rootFolder on server

  },
  tagging: {
    executeAfterUpload: false,
    autoTaggingButton: false,
    provider: 'google',
    confidence: 80,
    limit: 10,
    key: ''
  },
  sortParams: {
    show: true,
    field: 'name',
    // ['name', 'type', 'uploaded_at', 'modified_at'],
    order: 'asc' // 'desc and asc'

  }
};
var _default2 = _default;
exports.default = _default2;
var DEFAULT_ICON_SIZE = 100;
exports.DEFAULT_ICON_SIZE = DEFAULT_ICON_SIZE;
var GALLERY_IMAGES_LIMIT = 50;
exports.GALLERY_IMAGES_LIMIT = GALLERY_IMAGES_LIMIT;
var DUPLICATE_CODE = 'SHA1_CONFLICT_STOP_UPLOAD';
exports.DUPLICATE_CODE = DUPLICATE_CODE;
var REPLACING_DATA_CODE = 'FILE_EXISTS_REPLACING_DATA';
exports.REPLACING_DATA_CODE = REPLACING_DATA_CODE;
var COLORS = ['#96dc52', '#016df0', '#943dc5', '#feda48', '#d90028', '#ffffff', '#000000'];
exports.COLORS = COLORS;
var DEFAULT_TAGS = ['accessibility', 'arrows', 'Audio & Video', 'Business', 'Charity', 'Chat', 'Chess', 'Code', 'Communication', 'Computers', 'Currency', 'Date & Time', 'Design', 'Editors', 'Files', 'Genders', 'Hands', 'Health', 'Images', 'Interfaces', 'Logistics', 'Maps', 'Medical', 'Moving', 'Objects', 'Payments & Shopping', 'Shapes', 'Spinners', 'Sports', 'Status', 'Users & People', 'Vehicles', 'Writing'];
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(DEFAULT_ICON_SIZE, "DEFAULT_ICON_SIZE", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\config.js");

  __REACT_HOT_LOADER__.register(GALLERY_IMAGES_LIMIT, "GALLERY_IMAGES_LIMIT", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\config.js");

  __REACT_HOT_LOADER__.register(DUPLICATE_CODE, "DUPLICATE_CODE", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\config.js");

  __REACT_HOT_LOADER__.register(REPLACING_DATA_CODE, "REPLACING_DATA_CODE", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\config.js");

  __REACT_HOT_LOADER__.register(COLORS, "COLORS", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\config.js");

  __REACT_HOT_LOADER__.register(DEFAULT_TAGS, "DEFAULT_TAGS", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\config.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\config.js");
}();

;