"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SortButton = exports.ActionButtonsWrapper = exports.ButtonClose = exports.UploadInputBox = exports.UploadBoxIcon = exports.Content = exports.UploadBox = exports.UploadBoxWrapper = exports.NavItem = exports.Nav = exports.HeaderWrap = exports.UploadedImages = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _CloseBtn = require("../components/CloseBtn");

var _IconTab = require("./IconTab.styled");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject12() {
  var data = _taggedTemplateLiteral(["\n  border-radius: 4px;\n  margin-right: 5px;\n  \n  .options-dropdown-menu {\n    position: absolute;\n    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.3);\n    background: ", ";\n    padding: 0;\n    margin: 0;\n    list-style-type: none;\n    border-radius: 3px;\n\n    button,\n    a {\n      padding: 4px 8px;\n      cursor: pointer;\n      margin: 0;\n      width: 100%;\n      border: none;\n      outline: none;\n      color: ", ";\n      background-color: ", ";\n      text-align: left;\n      font-size: 12px;\n\n      &:hover:not([disabled]) {\n        background: #d7d7d7;\n      }\n    }\n\n    a {\n      display: block;\n      color: ", ";\n      text-decoration: none;\n    }\n  }\n  \n  [class^=\"ai-icon-\"],\n    .sort-tick-wrapper {\n      margin-right: 5px;\n    }\n    \n    .sort-tick {\n    display: inline-block;\n    background: transparent no-repeat;\n    background-size: cover;\n    width: 7px;\n    height: 7px;\n    border: none;\n\n    &.icon-up {\n      background-image: url(\"//js.filerobot.com/airstore-explorer/static/media/caret-arrow-up.svg\");\n\n      &.white {\n        background-image: url(\"//js.filerobot.com/airstore-explorer/static/media/caret-arrow-up-white.svg\");\n      }\n\n      &.dark {\n        background-image: url(\"//js.filerobot.com/airstore-explorer/static/media/caret-arrow-up-dark.svg\");\n      }\n    }\n\n    &.icon-down {\n      background-image: url(\"//js.filerobot.com/airstore-explorer/static/media/caret-down.svg\");\n\n      &.white {\n        background-image: url(\"//js.filerobot.com/airstore-explorer/static/media/caret-down-white.svg\");\n      }\n\n      &.dark {\n        background-image: url(\"//js.filerobot.com/airstore-explorer/static/media/caret-down-dark.svg\");\n      }\n    }\n  }\n"]);

  _templateObject12 = function _templateObject12() {
    return data;
  };

  return data;
}

function _templateObject11() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  \n"]);

  _templateObject11 = function _templateObject11() {
    return data;
  };

  return data;
}

function _templateObject10() {
  var data = _taggedTemplateLiteral(["\n  left: 280px;\n  width: 20px;\n  top: 8px;\n  \n  :hover {\n    color: ", ";\n  }\n"]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = _taggedTemplateLiteral(["\n  width: .1px;\n  height: .1px;\n  opacity: 0;\n  overflow: hidden;\n  position: absolute;\n  z-index: -1;\n"]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = _taggedTemplateLiteral(["\n  font-size: 80px;\n"]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = _taggedTemplateLiteral(["\n  color: #5D636B;\n  height: 100%;\n  \n  ", " {\n    background: ", ";\n    border:  ", ";\n  }\n"]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = _taggedTemplateLiteral(["\n  width: 100%;\n  height: 100%;\n  border: 2px dashed #d8d8d8;\n  background: ", ";\n  display: flex;\n  flex-direction: column;\n  align-items: center;\n  justify-content: center;\n  color: #5D636B;\n  box-sizing: border-box;\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  width: ", "px !important;\n  height: ", "px !important;;\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n  color: ", ";\n  font-size: 14px;\n  padding-right: 25px;\n  cursor: pointer;\n  text-decoration: ", ";\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  display: block;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  padding: 0;\n  min-height: 50px;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: column;\n  padding: 0 15px;\n  height: 100%;\n  box-sizing: border-box;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var UploadedImages = _styledComponents.default.div(_templateObject());

exports.UploadedImages = UploadedImages;

var HeaderWrap = _styledComponents.default.div(_templateObject2());

exports.HeaderWrap = HeaderWrap;

var Nav = _styledComponents.default.nav(_templateObject3());

exports.Nav = Nav;

var NavItem = _styledComponents.default.span(_templateObject4(), function (props) {
  return props.active ? '#1e262c' : '#70777f';
}, function (props) {
  return props.active ? 'underline' : 'none';
});

exports.NavItem = NavItem;

var UploadBoxWrapper = _styledComponents.default.div(_templateObject5(), function (props) {
  return props.columnWidth || 300;
}, function (props) {
  return props.height || 200;
});

exports.UploadBoxWrapper = UploadBoxWrapper;

var UploadBox = _styledComponents.default.div(_templateObject6(), function (props) {
  return props.isDragOver ? 'rgba(210, 253, 207, 0.5)' : '#f5f5f5';
});

exports.UploadBox = UploadBox;

var Content = _styledComponents.default.div(_templateObject7(), UploadBox, function (props) {
  return props.isDragOver ? 'rgba(210, 253, 207, 0.5) !important' : props.theme.activeSidebarItemBackground;
}, function (props) {
  return props.isDragOver ? '2px dashed #888888' : "2px dashed ".concat(props.theme.border);
});

exports.Content = Content;

var UploadBoxIcon = _styledComponents.default.span(_templateObject8());

exports.UploadBoxIcon = UploadBoxIcon;

var UploadInputBox = _styledComponents.default.input(_templateObject9());

exports.UploadInputBox = UploadInputBox;
var ButtonClose = (0, _styledComponents.default)(_CloseBtn.CloseBtn)(_templateObject10(), function (p) {
  return p.theme.buttonBackground || '#00707C';
});
exports.ButtonClose = ButtonClose;
var ActionButtonsWrapper = (0, _styledComponents.default)('div')(_templateObject11());
exports.ActionButtonsWrapper = ActionButtonsWrapper;
var SortButton = (0, _styledComponents.default)(_IconTab.ButtonSearch)(_templateObject12(), function (p) {
  return p.theme.mainBackground;
}, function (p) {
  return p.theme.text;
}, function (p) {
  return p.theme.mainBackground;
}, function (p) {
  return p.theme.text;
});
exports.SortButton = SortButton;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(UploadedImages, "UploadedImages", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(HeaderWrap, "HeaderWrap", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(Nav, "Nav", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(NavItem, "NavItem", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(UploadBoxWrapper, "UploadBoxWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(UploadBox, "UploadBox", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(Content, "Content", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(UploadBoxIcon, "UploadBoxIcon", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(UploadInputBox, "UploadInputBox", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(ButtonClose, "ButtonClose", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(ActionButtonsWrapper, "ActionButtonsWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");

  __REACT_HOT_LOADER__.register(SortButton, "SortButton", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\UploadedImages.styled.js");
}();

;