"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCDNlink = exports.getPubliclink = exports.getPermalink = void 0;

/* API change from file.url_permalink to file.url.permalink
* */
var getPermalink = function getPermalink(file) {
  if (file.url && file.url.permalink) return file.url.permalink;else if (file.url_permalink) return file.url_permalink;else return '';
};

exports.getPermalink = getPermalink;

var getPubliclink = function getPubliclink(file) {
  if (file.url && file.url.public) return file.url.public;else if (file.url_public) return file.url_public;else return '';
};

exports.getPubliclink = getPubliclink;

var getCDNlink = function getCDNlink(file) {
  if (file.url && file.url.cdn) return file.url.cdn;else return '';
};

exports.getCDNlink = getCDNlink;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(getPermalink, "getPermalink", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\utils\\adjustAPI.utils.js");

  __REACT_HOT_LOADER__.register(getPubliclink, "getPubliclink", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\utils\\adjustAPI.utils.js");

  __REACT_HOT_LOADER__.register(getCDNlink, "getCDNlink", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\utils\\adjustAPI.utils.js");
}();

;