"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _default = {
  upload: {
    tab_title: 'Upload',
    browse_your_computer: 'Browse your computer',
    or: 'or',
    enter_url_to_upload_from_web: 'Enter URL to upload from web',
    upload_btn: 'Upload',
    drag_file_here: 'Drag file here',
    accepted_file_types: 'Accepted file types',
    accepted_file_size: 'Up to 10MB.',
    uploading: 'Uploading',
    error: 'Error',
    url_not_valid: 'URL not valid!',
    empty_url: 'Empty URL!',
    search: 'Search',
    found: 'Found',
    apply: 'Apply',
    categories: 'Categories',
    file_already_exists: 'File already exists in your gallery',
    invalid_file_extension: 'Invalid file extension',
    all: 'All',
    too_small: 'The Uploader is not available on mobile, please use it on a Desktop',
    close: 'Close',
    image_editor: 'Image Editor',
    smart_crop: 'Smart crop',
    face_detection: 'Face detection',
    resize: 'Resize',
    width: 'Width',
    height: 'Height',
    revert: 'Revert',
    crop: 'Crop',
    crop_and_resize: 'Crop / Resize',
    cancel: 'Cancel',
    selected_files: 'Selected files',
    total_size: 'total size',
    sort: 'Sort',
    name: 'Name',
    size: 'Size',
    type: 'Type',
    modified: 'Modified date',
    uploaded: 'Uploaded date',
    invalid_token: 'Invalid token'
  },
  file_manager: {
    tab_title: 'My gallery',
    search_by_file_name_tag_desc: 'search by file name, tag or description',
    upload_images: 'Upload images',
    drag_images_here: 'Drag images here',
    change_folder: 'Change folder',
    media_library: 'Media Library',
    go_back: 'Go back',
    select: 'Select',
    modify: 'Modify URL',
    tag: 'Tag',
    edit: 'Edit',
    delete: 'Delete',
    no_subfolders: 'No subfolders',
    deselect_all: 'Deselect all',
    are_you_sure: 'Are you sure'
  },
  icons: {
    tab_title: 'Free icons',
    zero_icons_was_found: '0 icons was found :(',
    set_icon_as_not_relevant: 'Set icon as not relevant',
    you_can_search_icons_here: 'You can search icons here',
    color_filter: 'Color filter',
    all: 'All',
    multi_color: 'Multi color',
    mono_color: 'Mono color',
    customize_your_icon: 'Customize your icon',
    theme_colors: 'Theme colors',
    new_tag_successfully_added: 'New tag successfully added!'
  },
  images: {
    tab_title: 'Free images',
    zero_images_was_found: '0 images was found :(',
    color_filter: 'Color filter',
    add_color: 'add color',
    images: 'Backgrounds',
    you_can_search_images_here: 'You can search images here'
  },
  tagging: {
    tab_title: 'Tagging',
    something_went_wrong_try_again: 'something went wrong, try again',
    will_automatically_generate_tags: 'will automatically generate tags based on image recognition technology',
    go_back: 'Go back',
    file_name: 'File name',
    size: 'Size',
    first_upload: 'First Upload',
    last_modified: 'Last Modified',
    add_description: 'Add description',
    add_a_tag_separate_by_pressing_enter: 'Add a tag (separate by pressing enter)',
    add_tags_field: 'You should add a "tags" field in your metadata model first',
    add_description_field: 'You should add a "description" field in your metadata model first',
    generate_tags: 'Generate tags',
    save: 'Save',
    save_and_modify: 'Save and Modify URL',
    asset_could_not_be_automatically_tagged: 'Asset could not be automatically tagged',
    could_not_be_automatically_tagged: 'could not be automatically tagged',
    auto_tagging_processing: 'Auto-tagging processing...',
    product_ref: 'Product ref',
    product_position: 'Product position',
    not_set: 'Not set',
    update_product_ref: 'Update product ref',
    update_product_position: 'Update product position',
    updating: 'updating...',
    common_tags: 'Common tags'
  },
  tips: {
    edit: 'resize, crop, adjust the image',
    delete: 'delete {number} image',
    tag: 'mange tags and meta properties for {number} image',
    select: 'select {number} image',
    modify: 'modify url for the image',
    select_multiply: 'select multiple images'
  },
  deletePopup: {
    title: 'Are you sure',
    accept: 'Delete',
    cancel: 'Cancel',
    msg: 'Do you want to delete',
    file: 'file',
    files: 'files'
  },
  goBackPopup: {
    title: 'Are you sure',
    accept: 'Leave',
    cancel: 'Cancel',
    msg: 'Do you want to leave this tab? Changes you made may not be saved'
  }
};
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\assets\\translations\\en.js");
}();

;