"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = require("../../styledComponents");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var IconItem = /*#__PURE__*/function (_Component) {
  _inherits(IconItem, _Component);

  var _super = _createSuper(IconItem);

  function IconItem() {
    var _this;

    _classCallCheck(this, IconItem);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      isHover: false
    });

    return _this;
  }

  _createClass(IconItem, [{
    key: "hoverToggle",
    value: function hoverToggle(name, isHover) {
      this.setState(_defineProperty({}, name, isHover));
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          icon = _this$props.icon,
          onIconClick = _this$props.onIconClick,
          addTag = _this$props.addTag,
          isShowAddTagBtn = _this$props.isShowAddTagBtn,
          isShowNotRelevantBtn = _this$props.isShowNotRelevantBtn,
          setAsNotRelevant = _this$props.setAsNotRelevant,
          onLoadImage = _this$props.onLoadImage,
          columnWidth = _this$props.columnWidth,
          index = _this$props.index;
      var _this$state$isHover = this.state.isHover,
          isHover = _this$state$isHover === void 0 ? false : _this$state$isHover;
      var resultWidth = Math.floor(columnWidth);
      return /*#__PURE__*/_react.default.createElement(_styledComponents.IconBoxWrapperInner, {
        onClick: function onClick() {
          onIconClick(icon);
        },
        onKeyDown: function onKeyDown(event) {
          event.keyCode === 13 && onIconClick(icon);
        },
        role: "button",
        onMouseOver: this.hoverToggle.bind(this, 'isHover', true),
        onMouseLeave: this.hoverToggle.bind(this, 'isHover', false),
        tabIndex: index
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.HoverWrapper, {
        isShow: isHover
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.ActionsIconWrapper, null, isShowAddTagBtn && /*#__PURE__*/_react.default.createElement(_styledComponents.AddTagBtn, {
        tabIndex: -1,
        sm: true,
        themeColor: true,
        onClick: function onClick(event) {
          addTag(event, icon);
        }
      }, "+"), isShowNotRelevantBtn && /*#__PURE__*/_react.default.createElement(_styledComponents.NotRelevantBtn, {
        tabIndex: -1,
        sm: true,
        danger: true,
        onClick: function onClick(event) {
          setAsNotRelevant(event, icon);
        }
      }, "x"))), /*#__PURE__*/_react.default.createElement(_styledComponents.IconWrapper, {
        width: resultWidth,
        height: resultWidth
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.IconTabImg, {
        isHover: isHover,
        src: icon.src,
        alt: icon.desc,
        onLoad: function onLoad(_ref) {
          var target = _ref.target;
          return onLoadImage(target, icon);
        }
      })));
    }
  }]);

  return IconItem;
}(_react.Component);

var _default = IconItem;
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(IconItem, "IconItem", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\IconsTab\\IconItem.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\IconsTab\\IconItem.js");
}();

;