"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = require("../../styledComponents");

var _Spinner = require("../Spinner");

var _IconItem = _interopRequireDefault(require("../IconsTab/IconItem"));

var _IconSidebar = _interopRequireDefault(require("../IconsTab/IconSidebar"));

var _SearchBar = _interopRequireDefault(require("../IconsTab/SearchBar"));

var _IconTags = _interopRequireDefault(require("../IconsTab/IconTags"));

var _IconMonoColorSettings = _interopRequireDefault(require("../IconsTab/IconMonoColorSettings"));

var _IconAddTagModal = _interopRequireDefault(require("../IconsTab/IconAddTagModal"));

var _config = require("../../config");

var IconAPI = _interopRequireWildcard(require("../../services/iconsApi.service"));

var ImageGridService = _interopRequireWildcard(require("../../services/imageGrid.service"));

var _VirtualizedImagesGrid = _interopRequireDefault(require("../VirtualizedImagesGrid"));

var _reactI18nify = require("react-i18nify");

var API = _interopRequireWildcard(require("../../services/api.service"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var defaultTags = [{
  slug: 'custom-famous',
  cat: 'Famous'
}, {
  slug: 'custom-search',
  cat: 'Search',
  count: 0
}];

var IconTab = /*#__PURE__*/function (_Component) {
  _inherits(IconTab, _Component);

  var _super = _createSuper(IconTab);

  function IconTab() {
    var _this;

    _classCallCheck(this, IconTab);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "state", {
      isLoading: false,
      isSearching: false,
      activeColorType: 'all',
      isShowMonoIconSettings: false,
      isShowIconAddTagModal: false,
      searchPhrase: '',
      activePresetTag: '',
      imageGridWrapperWidth: 0,
      imageContainerHeight: 0,
      imageGrid: {
        columnWidth: 0,
        gutterSize: 4,
        minColumnWidth: _config.DEFAULT_ICON_SIZE
      },
      isShowMoreImages: false,
      activeTags: {},
      active: {
        slug: 'custom-search',
        icons: [],
        related_tags: []
      },
      tags: [].concat(defaultTags)
    });

    _defineProperty(_assertThisInitialized(_this), "loadedIcons", []);

    _defineProperty(_assertThisInitialized(_this), "uploadStart", function () {
      return _this.setState({
        isLoading: true
      });
    });

    _defineProperty(_assertThisInitialized(_this), "uploadStop", function () {
      return _this.setState({
        isLoading: false
      });
    });

    _defineProperty(_assertThisInitialized(_this), "getImageGridWrapperWidth", function () {
      return Math.floor(_this.imageGridWrapperRef.getBoundingClientRect().width - 20);
    });

    _defineProperty(_assertThisInitialized(_this), "getImageGridWrapperHeight", function () {
      return _this.imageGridWrapperRef.getBoundingClientRect().height;
    });

    _defineProperty(_assertThisInitialized(_this), "updateImageGridColumnWidth", function () {
      var imageGrid = _this.state.imageGrid;
      var minColumnWidth = imageGrid.minColumnWidth,
          gutterSize = imageGrid.gutterSize;

      var imageGridWrapperWidth = _this.getImageGridWrapperWidth();

      var imageContainerHeight = _this.getImageGridWrapperHeight();

      imageGrid.columnWidth = ImageGridService.getActualColumnWidth(imageGridWrapperWidth, minColumnWidth, gutterSize);

      _this.setState({
        imageGridWrapperWidth: imageGridWrapperWidth,
        imageGrid: imageGrid,
        imageContainerHeight: imageContainerHeight
      });
    });

    _defineProperty(_assertThisInitialized(_this), "upload", function () {
      var icon = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;

      _this.uploadStart();

      var _this$state = _this.state,
          relevantActiveTags = _this$state.relevantActiveTags,
          searchPhrase = _this$state.searchPhrase,
          activePresetTag = _this$state.activePresetTag;
      (0, IconAPI.sendSelectionData)({
        value: searchPhrase || activePresetTag || ''
      }, relevantActiveTags, icon.uid, _this.loadedIcons);
      var self = _this.props;
      API.uploadFiles({
        files: [icon.src],
        config: _this.props.appState.config,
        data_type: 'application/json',
        showAlert: _this.props.showAlert
      }).then(function (_ref) {
        var _ref2 = _slicedToArray(_ref, 3),
            files = _ref2[0],
            isDuplicate = _ref2[1],
            isReplacingData = _ref2[2];

        _this.uploadStop();

        if (isReplacingData || isDuplicate) {
          _this.props.showAlert('', _reactI18nify.I18n.t('upload.file_already_exists'), 'info');
        }

        if (_this.props.appState.config.tagging.active) {
          _this.props.saveUploadedFiles(files);

          _this.props.setPostUpload(true, 'TAGGING', 'ICONS_GALLERY');

          return;
        }

        self.appState.config.uploadHandler(files, {
          stage: 'upload'
        });
        self.closeModal();
      }).catch(function () {
        _this.uploadStop();
      });
    });

    _defineProperty(_assertThisInitialized(_this), "addTag", function (event, activeIcon) {
      event.stopPropagation();

      _this.setState({
        isShowIconAddTagModal: true,
        activeIcon: activeIcon
      });
    });

    _defineProperty(_assertThisInitialized(_this), "search", function (_ref3, refreshTags, resizeOnSuccess) {
      var _ref3$value = _ref3.value,
          value = _ref3$value === void 0 ? '' : _ref3$value,
          type = _ref3.type,
          _ref3$offset = _ref3.offset,
          offset = _ref3$offset === void 0 ? 0 : _ref3$offset;
      var active = _this.state.active;
      var related_tags = active.related_tags;
      var activeTags = refreshTags ? {} : _this.state.activeTags;

      var relevantActiveTags = _this.getRelevantActiveTags(activeTags, related_tags);

      var openpixKey = _this.props.appState.config.openpixKey;
      var isShowMore = !!offset;
      var searchParams = {
        value: value,
        type: type,
        offset: offset
      };

      _this.setState({
        isSearching: true,
        activeTags: activeTags,
        relevantActiveTags: relevantActiveTags,
        isLoading: !searchParams.offset,
        isShowMoreImages: searchParams.offset
      });

      switch (searchParams.type) {
        case 'all':
          searchParams.typeQuery = '&style[]=FLAT&style[]=MONOCOLOR';
          break;

        case 'multi':
          searchParams.typeQuery = '&style[]=FLAT';
          break;

        case 'mono':
          searchParams.typeQuery = '&style[]=MONOCOLOR';
          break;
      }

      if (!searchParams.value) return;
      IconAPI.searchIcons(_objectSpread(_objectSpread({}, searchParams), {}, {
        openpixKey: openpixKey
      }), relevantActiveTags).then(function () {
        var response = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        var _response$count = response.count,
            count = _response$count === void 0 ? 0 : _response$count,
            _response$icons = response.icons,
            icons = _response$icons === void 0 ? [] : _response$icons,
            _response$related_tag = response.related_tags,
            related_tags = _response$related_tag === void 0 ? [] : _response$related_tag;

        if (!icons.length && relevantActiveTags.length) {
          _this.search({
            value: value,
            type: type
          }, true);

          return;
        } else if (!icons.length) _this.props.showAlert(_reactI18nify.I18n.t('icons.zero_icons_was_found'), '', 'warning');

        _this.setState({
          isSearching: false,
          active: {
            icons: isShowMore ? [].concat(_toConsumableArray(active.icons), _toConsumableArray(icons)) : icons,
            related_tags: related_tags
          },
          count: count,
          searchParams: searchParams,
          isLoading: false,
          isShowMoreImages: false
        });

        typeof resizeOnSuccess === 'function' && resizeOnSuccess();
      }).catch(function () {
        _this.setState({
          isLoading: false,
          isShowMoreImages: false
        });
      });
      _this.loadedIcons = [];
    });

    _defineProperty(_assertThisInitialized(_this), "onSearch", function () {
      var offset = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
      var resizeOnSuccess = arguments.length > 1 ? arguments[1] : undefined;
      if (!_this.state.searchPhrase && !_this.state.activePresetTag) return;

      _this.setState({
        activePresetTag: _this.state.searchPhrase ? null : _this.state.activePresetTag
      });

      _this.search({
        value: (_this.state.searchPhrase || _this.state.activePresetTag || '').toLowerCase(),
        type: _this.state.activeColorType,
        offset: offset
      }, true, resizeOnSuccess);
    });

    _defineProperty(_assertThisInitialized(_this), "onShowMoreImages", function (resizeOnSuccess) {
      if (_this.state.isShowMoreImages) return;
      var _this$state2 = _this.state,
          searchParams = _this$state2.searchParams,
          count = _this$state2.count;

      if (count > searchParams.offset + 250) {
        searchParams.offset = searchParams.offset + 250;
        return _this.onSearch(searchParams.offset, resizeOnSuccess);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "getRelevantActiveTags", function (activeTags, related_tags) {
      var result = [];

      var _loop = function _loop(tag) {
        if (activeTags[tag] && related_tags.find(function (item) {
          return item.tag === tag;
        }) && activeTags.hasOwnProperty(tag)) result.push(tag);
      };

      for (var tag in activeTags) {
        _loop(tag);
      }

      return result;
    });

    _defineProperty(_assertThisInitialized(_this), "toggleColorType", function (type) {
      _this.setState({
        activeColorType: type
      });

      var value = (_this.state.searchPhrase || _this.state.activePresetTag || '').toLowerCase();
      if (value) _this.search({
        value: value,
        type: type
      });
    });

    _defineProperty(_assertThisInitialized(_this), "toggleTag", function (tag) {
      var _this$state3 = _this.state,
          activeTags = _this$state3.activeTags,
          activeColorType = _this$state3.activeColorType,
          searchPhrase = _this$state3.searchPhrase,
          activePresetTag = _this$state3.activePresetTag;
      var value = (searchPhrase || activePresetTag || '').toLowerCase();
      activeTags[tag] = !activeTags[tag];

      _this.setState({
        activeTags: activeTags
      });

      setTimeout(function () {
        _this.search({
          value: value,
          type: activeColorType
        });
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onIconClick", function (icon) {
      if (icon.style === 'MONOCOLOR') _this.setState({
        activeIcon: icon,
        activeIconSrc: icon.src,
        isShowMonoIconSettings: true
      });else _this.upload(icon);
    });

    _defineProperty(_assertThisInitialized(_this), "onChangeSearchPhrase", function (_ref4) {
      var target = _ref4.target;

      _this.setState({
        searchPhrase: target.value
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onActivatePresetTag", function (activePresetTag) {
      var activeColorType = _this.state.activeColorType;

      _this.setState({
        activePresetTag: activePresetTag,
        searchPhrase: ''
      });

      _this.search({
        value: activePresetTag,
        type: activeColorType
      }, true);
    });

    _defineProperty(_assertThisInitialized(_this), "setAsNotRelevant", function (event, activeIcon) {
      var showAlert = _this.props.showAlert;
      var _this$state4 = _this.state,
          searchPhrase = _this$state4.searchPhrase,
          activeTags = _this$state4.activeTags,
          activePresetTag = _this$state4.activePresetTag,
          active = _this$state4.active;

      var relevantActiveTags = _this.getRelevantActiveTags(activeTags, active.related_tags);

      event.stopPropagation();
      (0, IconAPI.setAsNotRelevant)({
        value: searchPhrase || activePresetTag || ''
      }, relevantActiveTags, activeIcon.uid);
      showAlert(_reactI18nify.I18n.t('icons.set_icon_as_not_relevant'), '', 'info');
    });

    _defineProperty(_assertThisInitialized(_this), "onLoadImage", function (target, icon) {
      _this.loadedIcons.push(icon);
    });

    return _this;
  }

  _createClass(IconTab, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      IconAPI.getTags().then(function (tags) {
        _this2.setState({
          tags: [].concat(defaultTags, _toConsumableArray(tags))
        }, _this2.updateImageGridColumnWidth);
      });
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps, prevState) {
      if (this.imageGridWrapperRef && this.getImageGridWrapperWidth() !== prevState.imageGridWrapperWidth) this.updateImageGridColumnWidth();
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var _this$state5 = this.state,
          tags = _this$state5.tags,
          _this$state5$active = _this$state5.active,
          active = _this$state5$active === void 0 ? {} : _this$state5$active,
          count = _this$state5.count;
      var _this$props = this.props,
          appState = _this$props.appState,
          showAlert = _this$props.showAlert,
          themeColors = _this$props.themeColors;
      var isShowAddTagBtn = appState.isShowAddTagBtn,
          isShowNotRelevantBtn = appState.isShowNotRelevantBtn;
      var _this$state6 = this.state,
          isLoading = _this$state6.isLoading,
          isSearching = _this$state6.isSearching,
          activeTags = _this$state6.activeTags,
          isShowMonoIconSettings = _this$state6.isShowMonoIconSettings,
          activeIconSrc = _this$state6.activeIconSrc,
          searchPhrase = _this$state6.searchPhrase,
          activeColorType = _this$state6.activeColorType,
          isShowIconAddTagModal = _this$state6.isShowIconAddTagModal,
          activeIcon = _this$state6.activeIcon,
          activePresetTag = _this$state6.activePresetTag,
          imageGridWrapperWidth = _this$state6.imageGridWrapperWidth,
          imageContainerHeight = _this$state6.imageContainerHeight,
          imageGrid = _this$state6.imageGrid,
          isShowMoreImages = _this$state6.isShowMoreImages;
      var columnWidth = imageGrid.columnWidth,
          gutterSize = imageGrid.gutterSize;
      return /*#__PURE__*/_react.default.createElement(_styledComponents.IconTabWrapper, null, /*#__PURE__*/_react.default.createElement(_IconSidebar.default, _extends({
        activePresetTag: activePresetTag,
        activeColorType: activeColorType,
        tags: tags,
        active: active
      }, {
        onActivatePresetTag: this.onActivatePresetTag,
        toggleColorType: this.toggleColorType
      })), /*#__PURE__*/_react.default.createElement(_styledComponents.IconMain, null, /*#__PURE__*/_react.default.createElement(_SearchBar.default, _extends({
        isLoading: isLoading,
        isSearching: isSearching,
        searchPhrase: searchPhrase,
        count: count
      }, {
        title: _reactI18nify.I18n.t('icons.you_can_search_icons_here'),
        items: active.icons,
        onSearch: this.onSearch,
        onChangeSearchPhrase: this.onChangeSearchPhrase
      })), /*#__PURE__*/_react.default.createElement(_IconTags.default, _extends({
        searchPhrase: searchPhrase,
        activeTags: activeTags
      }, {
        tagsList: active.related_tags,
        toggleTag: this.toggleTag
      })), isShowMonoIconSettings && /*#__PURE__*/_react.default.createElement(_IconMonoColorSettings.default, _extends({
        themeColors: themeColors,
        activeIconSrc: activeIconSrc
      }, {
        upload: this.upload,
        onClose: function onClose() {
          _this3.setState({
            isShowMonoIconSettings: false
          });
        }
      })), isShowIconAddTagModal && /*#__PURE__*/_react.default.createElement(_IconAddTagModal.default, _extends({
        isShowIconAddTagModal: isShowIconAddTagModal,
        activeIcon: activeIcon,
        showAlert: showAlert,
        activeIconSrc: activeIconSrc,
        isShowMonoIconSettings: isShowMonoIconSettings
      }, {
        upload: this.upload,
        onClose: function onClose() {
          _this3.setState({
            isShowIconAddTagModal: false
          });
        }
      })), /*#__PURE__*/_react.default.createElement(_styledComponents.IconsWrapper, {
        ref: function ref(node) {
          return _this3.imageGridWrapperRef = node;
        },
        id: "airstore-uploader-icons-box"
      }, active.icons.length && !isLoading && columnWidth ? /*#__PURE__*/_react.default.createElement(_VirtualizedImagesGrid.default, _extends({
        imageGridWrapperWidth: imageGridWrapperWidth,
        imageContainerHeight: imageContainerHeight,
        columnWidth: columnWidth,
        gutterSize: gutterSize,
        isShowMoreImages: isShowMoreImages
      }, {
        count: active.icons.length,
        list: active.icons,
        upload: this.upload,
        ratio: 1,
        customPositionHandler: true,
        onShowMoreImages: this.onShowMoreImages,
        cellContent: function cellContent(_ref5) {
          var style = _ref5.style,
              columnWidth = _ref5.columnWidth,
              item = _ref5.item,
              index = _ref5.index;
          return /*#__PURE__*/_react.default.createElement(_styledComponents.IconBoxWrapper, {
            style: _objectSpread(_objectSpread({}, style), {}, {
              width: Math.floor(columnWidth)
            })
          }, /*#__PURE__*/_react.default.createElement(_IconItem.default, _extends({
            index: index,
            isShowAddTagBtn: isShowAddTagBtn,
            isShowNotRelevantBtn: isShowNotRelevantBtn
          }, {
            columnWidth: Math.floor(columnWidth),
            icon: item,
            onIconClick: _this3.onIconClick,
            upload: _this3.upload,
            addTag: _this3.addTag,
            setAsNotRelevant: _this3.setAsNotRelevant,
            onLoadImage: _this3.onLoadImage
          })));
        }
      })) : null, /*#__PURE__*/_react.default.createElement(_styledComponents.ShowMoreResultsSpinner, {
        show: isShowMoreImages && active.icons.length
      })), /*#__PURE__*/_react.default.createElement(_Spinner.Spinner, {
        overlay: true,
        show: isLoading
      })));
    }
  }]);

  return IconTab;
}(_react.Component);

var _default = IconTab;
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(defaultTags, "defaultTags", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\IconsTab\\IconTab.js");

  __REACT_HOT_LOADER__.register(IconTab, "IconTab", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\IconsTab\\IconTab.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\IconsTab\\IconTab.js");
}();

;