"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactI18nify = require("react-i18nify");

var _reactColor = require("react-color");

var _styledComponents = require("../../styledComponents");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function _default(_ref) {
  var colorFilter = _ref.colorFilter,
      handleClose = _ref.handleClose,
      handleChange = _ref.handleChange;
  return /*#__PURE__*/_react.default.createElement(_styledComponents.SketchPickerWrapper, null, /*#__PURE__*/_react.default.createElement(_styledComponents.SketchPickerOverlay, {
    onClick: handleClose
  }), /*#__PURE__*/_react.default.createElement(_reactColor.SketchPicker, {
    color: colorFilter.value,
    onChange: handleChange
  }), /*#__PURE__*/_react.default.createElement(_styledComponents.ApplyColorBtn, {
    sm: true,
    themeColor: true,
    onClick: handleClose,
    style: {
      zIndex: 5555,
      position: 'relative'
    }
  }, _reactI18nify.I18n.t('upload.apply')));
};

var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\ImagesTab\\ImagesColorPicker.js");
}();

;