"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = require("../../styledComponents");

var _SearchBar = _interopRequireDefault(require("../IconsTab/SearchBar"));

var _IconTags = _interopRequireDefault(require("../IconsTab/IconTags"));

var _VirtualizedImagesGrid = _interopRequireDefault(require("../VirtualizedImagesGrid"));

var ImageGridService = _interopRequireWildcard(require("../../services/imageGrid.service"));

var ImagesAPI = _interopRequireWildcard(require("../../services/imagesApi.service"));

var _Spinner = require("../Spinner");

var _hoc = require("../hoc");

var _reactI18nify = require("react-i18nify");

var _axios = _interopRequireDefault(require("axios"));

var _ImagesSidebar = _interopRequireDefault(require("./ImagesSidebar"));

var _ImagesColorPicker = _interopRequireDefault(require("./ImagesColorPicker"));

var _ImageBox = _interopRequireDefault(require("./ImageBox"));

var API = _interopRequireWildcard(require("../../services/api.service"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ImagesTab = /*#__PURE__*/function (_Component) {
  _inherits(ImagesTab, _Component);

  var _super = _createSuper(ImagesTab);

  function ImagesTab() {
    var _this;

    _classCallCheck(this, ImagesTab);

    _this = _super.call(this);

    _defineProperty(_assertThisInitialized(_this), "onChangeColorFilter", function (index) {
      _this.setState({
        displayColorPicker: true,
        activeColorFilterIndex: index
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onRemoveColorFilter", function (index) {
      var activeColorFilters = _this.state.activeColorFilters;

      _this.setState({
        activeColorFilters: [].concat(_toConsumableArray(activeColorFilters.slice(0, index)), _toConsumableArray(activeColorFilters.slice(index + 1)))
      });

      setTimeout(function () {
        var _this$state = _this.state,
            activeColorFilters = _this$state.activeColorFilters,
            searchPhrase = _this$state.searchPhrase,
            activePresetTag = _this$state.activePresetTag;
        var value = searchPhrase || activePresetTag || '';

        _this.search({
          value: value,
          colorFilters: activeColorFilters
        }, false);
      });
    });

    _defineProperty(_assertThisInitialized(_this), "addColorFilter", function () {
      var activeColorFilters = _this.state.activeColorFilters;
      activeColorFilters.push({
        value: _this.state.defaultColor
      });

      _this.setState({
        displayColorPicker: !_this.state.displayColorPicker,
        activeColorFilters: activeColorFilters,
        activeColorFilterIndex: activeColorFilters.length - 1,
        presetImagesCount: null
      });
    });

    _defineProperty(_assertThisInitialized(_this), "handleClose", function () {
      _this.setState({
        displayColorPicker: false,
        activeColorFilterIndex: null
      });

      setTimeout(function () {
        var _this$state2 = _this.state,
            activeColorFilters = _this$state2.activeColorFilters,
            searchPhrase = _this$state2.searchPhrase,
            activePresetTag = _this$state2.activePresetTag;
        var value = searchPhrase || activePresetTag || '';

        _this.search({
          value: value,
          colorFilters: activeColorFilters
        }, false);
      });
    });

    _defineProperty(_assertThisInitialized(_this), "handleChange", function (color) {
      var _this$state3 = _this.state,
          activeColorFilters = _this$state3.activeColorFilters,
          activeColorFilterIndex = _this$state3.activeColorFilterIndex;
      activeColorFilters[activeColorFilterIndex].value = color.hex;

      _this.setState({
        activeColorFilters: activeColorFilters
      });
    });

    _defineProperty(_assertThisInitialized(_this), "getImageGridWrapperWidth", function () {
      return Math.floor(_this.imageGridWrapperRef.getBoundingClientRect().width - 20);
    });

    _defineProperty(_assertThisInitialized(_this), "getImageGridWrapperHeight", function () {
      return _this.imageGridWrapperRef.getBoundingClientRect().height;
    });

    _defineProperty(_assertThisInitialized(_this), "updateImageGridColumnWidth", function () {
      var imageGrid = _this.state.imageGrid;
      var minColumnWidth = imageGrid.minColumnWidth,
          gutterSize = imageGrid.gutterSize;

      var imageGridWrapperWidth = _this.getImageGridWrapperWidth();

      var imageContainerHeight = _this.getImageGridWrapperHeight();

      imageGrid.columnWidth = ImageGridService.getActualColumnWidth(imageGridWrapperWidth, minColumnWidth, gutterSize);

      _this.setState({
        imageGridWrapperWidth: imageGridWrapperWidth,
        imageGrid: imageGrid,
        imageContainerHeight: imageContainerHeight
      });
    });

    _defineProperty(_assertThisInitialized(_this), "uploadStart", function () {
      return _this.setState({
        isLoading: true
      });
    });

    _defineProperty(_assertThisInitialized(_this), "uploadStop", function () {
      return _this.setState({
        isLoading: false
      });
    });

    _defineProperty(_assertThisInitialized(_this), "upload", function () {
      var image = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
      if (_this.state.isLoading) return;

      _this.setState({
        isLoading: true
      });

      _this.uploadStart();

      var self = _this.props;
      API.uploadFiles({
        files: [image.src],
        config: _this.props.appState.config,
        data_type: 'application/json',
        showAlert: _this.props.showAlert
      }).then(function (_ref) {
        var _ref2 = _slicedToArray(_ref, 3),
            files = _ref2[0],
            isDuplicate = _ref2[1],
            isReplacingData = _ref2[2];

        _this.uploadStop();

        if (isReplacingData || isDuplicate) {
          _this.props.showAlert('', _reactI18nify.I18n.t('upload.file_already_exists'), 'info');
        }

        if (_this.props.appState.config.tagging.active) {
          _this.props.saveUploadedFiles(files);

          _this.props.setPostUpload(true, 'TAGGING', 'IMAGES_GALLERY');

          return;
        }

        self.appState.config.uploadHandler(files, {
          stage: 'upload'
        });
        self.closeModal();
      }).catch(function () {
        _this.uploadStop();
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onChangeSearchPhrase", function (_ref3) {
      var target = _ref3.target;

      _this.setState({
        searchPhrase: target.value
      });
    });

    _defineProperty(_assertThisInitialized(_this), "search", function (_ref4, refreshTags, resizeOnSuccess) {
      var _ref4$value = _ref4.value,
          value = _ref4$value === void 0 ? '' : _ref4$value,
          colorFilters = _ref4.colorFilters,
          _ref4$offset = _ref4.offset,
          offset = _ref4$offset === void 0 ? 0 : _ref4$offset;
      var related_tags = _this.state.related_tags;
      var activeTags = refreshTags ? {} : _this.state.activeTags;

      var relevantActiveTags = _this.getRelevantActiveTags(activeTags, related_tags);

      var searchParams = {
        value: value,
        colorFilters: colorFilters,
        offset: offset
      };
      var appState = _this.props.appState;
      var _appState$config = appState.config,
          openpixKey = _appState$config.openpixKey,
          limit = _appState$config.limit;
      var isShowMore = offset > 0;
      if (!value && !colorFilters.length) return;

      _this.setState({
        isSearching: true,
        activeTags: activeTags,
        relevantActiveTags: relevantActiveTags,
        isLoading: !searchParams.offset,
        isShowMoreImages: searchParams.offset,
        searchParams: searchParams
      });

      searchParams.limit = limit;
      searchParams.colorFiltersQuery = searchParams.colorFilters.map(function (item) {
        return "&colors[]=".concat(item.value, ":1");
      }).join('').replace(/#/g, '');
      if (!searchParams.value && !searchParams.colorFilters.length) return;
      return ImagesAPI.searchImages(_objectSpread(_objectSpread({}, searchParams), {}, {
        openpixKey: openpixKey
      }), relevantActiveTags).then(function (response) {
        var _response$images = response.images,
            images = _response$images === void 0 ? [] : _response$images,
            _response$count = response.count,
            count = _response$count === void 0 ? 0 : _response$count,
            _response$related_tag = response.related_tags,
            related_tags = _response$related_tag === void 0 ? [] : _response$related_tag,
            _response$related_top = response.related_top_colors,
            related_top_colors = _response$related_top === void 0 ? [] : _response$related_top;
        if (!images.length) _this.props.showAlert(_reactI18nify.I18n.t('images.zero_images_was_found'), '', 'warning');

        _this.setState({
          isSearching: false,
          images: isShowMore ? [].concat(_toConsumableArray(_this.state.images), _toConsumableArray(images)) : images,
          count: count,
          related_tags: related_tags,
          related_top_colors: related_top_colors,
          isLoading: false,
          isShowMoreImages: false
        }, function () {
          typeof resizeOnSuccess === 'function' && resizeOnSuccess();
        });
      }).catch(function () {
        _this.setState({
          isLoading: false,
          isShowMoreImages: false
        });
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onShowMoreImages", function (resizeOnSuccess) {
      if (_this.state.isShowMoreImages) return;
      var _this$state4 = _this.state,
          searchParams = _this$state4.searchParams,
          count = _this$state4.count;

      if (count > searchParams.offset + 100) {
        searchParams.offset = searchParams.offset + 100;
        return _this.onSearch(searchParams.offset, resizeOnSuccess);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onSearch", function () {
      var offset = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
      var resizeOnSuccess = arguments.length > 1 ? arguments[1] : undefined;
      var initialSearchPhrase = arguments.length > 2 ? arguments[2] : undefined;
      var searchPhrase = _this.state.searchPhrase || initialSearchPhrase;
      if (!searchPhrase && !_this.state.activePresetTag) return;

      _this.setState({
        activePresetTag: searchPhrase ? null : _this.state.activePresetTag,
        presetImagesCount: null
      });

      return _this.search({
        value: (searchPhrase || _this.state.activePresetTag || '').toLowerCase(),
        colorFilters: _this.state.activeColorFilters,
        offset: offset
      }, true, resizeOnSuccess);
    });

    _defineProperty(_assertThisInitialized(_this), "toggleTag", function (tag) {
      var _this$state5 = _this.state,
          activeTags = _this$state5.activeTags,
          activeColorFilters = _this$state5.activeColorFilters;
      var _this$state6 = _this.state,
          activePresetTag = _this$state6.activePresetTag,
          searchPhrase = _this$state6.searchPhrase;

      if (activePresetTag === 'backgrounds') {
        activePresetTag = '';
        searchPhrase = 'backgrounds';
      }

      var value = (searchPhrase || activePresetTag || '').toLowerCase();
      activeTags[tag] = !activeTags[tag];

      _this.setState({
        activeTags: activeTags,
        searchPhrase: searchPhrase,
        activePresetTag: activePresetTag
      });

      setTimeout(function () {
        _this.search({
          value: value,
          colorFilters: activeColorFilters
        });
      });
    });

    _defineProperty(_assertThisInitialized(_this), "getRelevantActiveTags", function (activeTags, related_tags) {
      var result = [];

      var _loop = function _loop(tag) {
        if (activeTags[tag] && related_tags.find(function (item) {
          return item.tag === tag;
        }) && activeTags.hasOwnProperty(tag)) result.push(tag);
      };

      for (var tag in activeTags) {
        _loop(tag);
      }

      return result;
    });

    _defineProperty(_assertThisInitialized(_this), "onActivatePresetTag", function (activePresetTag, count) {
      var activeColorFilters = _this.state.activeColorFilters;

      _this.setState({
        activePresetTag: activePresetTag,
        searchPhrase: '',
        presetImagesCount: activeColorFilters.length ? null : count
      });

      _this.search({
        value: activePresetTag,
        colorFilters: activeColorFilters
      }, true);
    });

    _defineProperty(_assertThisInitialized(_this), "onKeyDown", function (event, image) {
      if (event.keyCode === 13) {
        event.preventDefault();
        event.stopPropagation();

        _this.upload(image);
      }
    });

    _this.state = {
      isLoading: false,
      imageGridWrapperWidth: 0,
      imageContainerHeight: 0,
      imageGrid: {
        columnWidth: 0,
        gutterSize: 10,
        minColumnWidth: 200
      },
      isSearching: false,
      searchPhrase: '',
      activePresetTag: '',
      activeTags: {},
      isBackground: true,
      activeColorFilters: [],
      defaultColor: '#00ff00',
      displayColorPicker: false,
      activeColorFilterIndex: null,
      isShowMoreImages: false,
      presetImagesCount: null,
      tags: [],
      backgrounds: [],
      images: [],
      related_tags: [],
      related_top_colors: []
    };
    return _this;
  }

  _createClass(ImagesTab, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var _this2 = this;

      var searchPhrase = this.props.appState.config.searchPhrase;

      _axios.default.all([ImagesAPI.getImagesTags(), ImagesAPI.getBackgrounds()]).then(function (_ref5) {
        var _ref6 = _slicedToArray(_ref5, 2),
            tags = _ref6[0],
            backgrounds = _ref6[1];

        _this2.setState({
          tags: tags,
          backgrounds: backgrounds,
          searchPhrase: searchPhrase
        }, function () {
          if (!searchPhrase) _this2.updateImageGridColumnWidth();
        });
      });

      if (searchPhrase) {
        this.onSearch(0, true, searchPhrase);
      }
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps, prevState) {
      if (this.imageGridWrapperRef && this.getImageGridWrapperWidth() !== prevState.imageGridWrapperWidth) this.updateImageGridColumnWidth();
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var _this$state7 = this.state,
          isLoading = _this$state7.isLoading,
          displayColorPicker = _this$state7.displayColorPicker,
          activeColorFilters = _this$state7.activeColorFilters,
          activeColorFilterIndex = _this$state7.activeColorFilterIndex,
          tags = _this$state7.tags,
          imageGrid = _this$state7.imageGrid,
          imageContainerHeight = _this$state7.imageContainerHeight,
          isSearching = _this$state7.isSearching,
          searchPhrase = _this$state7.searchPhrase,
          activeTags = _this$state7.activeTags,
          activePresetTag = _this$state7.activePresetTag,
          imageGridWrapperWidth = _this$state7.imageGridWrapperWidth,
          isShowMoreImages = _this$state7.isShowMoreImages,
          backgrounds = _this$state7.backgrounds,
          related_tags = _this$state7.related_tags,
          images = _this$state7.images,
          count = _this$state7.count,
          presetImagesCount = _this$state7.presetImagesCount;
      var cloudimageToken = this.props.appState.config.cloudimageToken;
      var colorFilter = activeColorFilters[activeColorFilterIndex] || {};
      var columnWidth = imageGrid.columnWidth,
          gutterSize = imageGrid.gutterSize;
      var isBackground = activePresetTag === 'backgrounds';
      var imagesList = isBackground ? [].concat(_toConsumableArray(backgrounds), _toConsumableArray(images)) : images;
      return /*#__PURE__*/_react.default.createElement(_styledComponents.TabWrap, null, /*#__PURE__*/_react.default.createElement(_ImagesSidebar.default, _extends({
        activePresetTag: activePresetTag,
        activeColorFilters: activeColorFilters,
        tags: tags,
        backgrounds: backgrounds
      }, {
        onChangeColorFilter: this.onChangeColorFilter,
        onRemoveColorFilter: this.onRemoveColorFilter,
        addColorFilter: this.addColorFilter,
        onActivatePresetTag: this.onActivatePresetTag
      })), /*#__PURE__*/_react.default.createElement(_styledComponents.ImageContainer, null, /*#__PURE__*/_react.default.createElement(_SearchBar.default, _extends({
        isLoading: isLoading,
        isSearching: isSearching,
        searchPhrase: searchPhrase,
        count: count,
        presetImagesCount: presetImagesCount
      }, {
        items: images,
        title: _reactI18nify.I18n.t('images.you_can_search_images_here'),
        onSearch: this.onSearch,
        onChangeSearchPhrase: this.onChangeSearchPhrase
      })), /*#__PURE__*/_react.default.createElement(_IconTags.default, _extends({
        searchPhrase: searchPhrase,
        activeTags: activeTags
      }, {
        tagsList: related_tags,
        toggleTag: this.toggleTag
      })), /*#__PURE__*/_react.default.createElement(_styledComponents.ImagesListContainer, {
        ref: function ref(node) {
          return _this3.imageGridWrapperRef = node;
        }
      }, imagesList.length && imageContainerHeight && columnWidth && !isLoading ? /*#__PURE__*/_react.default.createElement(_hoc.Aux, null, /*#__PURE__*/_react.default.createElement(_VirtualizedImagesGrid.default, _extends({
        imageGridWrapperWidth: imageGridWrapperWidth,
        imageContainerHeight: imageContainerHeight,
        columnWidth: columnWidth,
        gutterSize: gutterSize,
        isShowMoreImages: isShowMoreImages
      }, {
        count: imagesList.length,
        list: imagesList,
        upload: this.upload,
        onShowMoreImages: this.onShowMoreImages,
        cellContent: function cellContent(props) {
          return /*#__PURE__*/_react.default.createElement(_ImageBox.default, {
            props: props,
            upload: _this3.upload,
            onKeyDown: _this3.onKeyDown,
            cloudimageToken: cloudimageToken
          });
        }
      })), /*#__PURE__*/_react.default.createElement(_styledComponents.ShowMoreResultsSpinner, {
        show: isShowMoreImages
      })) : null)), displayColorPicker && /*#__PURE__*/_react.default.createElement(_ImagesColorPicker.default, _extends({
        colorFilter: colorFilter
      }, {
        handleClose: this.handleClose,
        handleChange: this.handleChange
      })), /*#__PURE__*/_react.default.createElement(_Spinner.Spinner, {
        overlay: true,
        show: isLoading
      }));
    }
  }]);

  return ImagesTab;
}(_react.Component);

var _default = ImagesTab;
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(ImagesTab, "ImagesTab", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\ImagesTab\\ImagesTab.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\ImagesTab\\ImagesTab.js");
}();

;