"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProgressCircle = exports.PROGRESS_COLORS = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _rcProgress = require("rc-progress");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  top: 0;\n  left: 0;\n  width: 100%;\n  height: 100%;\n  overflow: hidden;\n  position: absolute;\n  background: ", " !important;\n  z-index: 1042;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  position: absolute;\n  margin: auto;\n  top: 50%;\n  left: 0;\n  right: 0;\n  margin-top: -10px;\n  z-index: 11111;\n  color: #fff;\n  text-align: center;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  svg {\n    position: absolute; \n    top: 50%;\n    left: 50%;\n    margin-left: -100px;\n    margin-top: -100px; \n    width: 200px;\n    height: 200px;\n    z-index: 10000;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var PROGRESS_COLORS = {
  DEFAULT: 'rgb(81,185,244)',
  SUCCESS: 'RGB(133,192,83)'
};
exports.PROGRESS_COLORS = PROGRESS_COLORS;

var ProgressCircle = function ProgressCircle(_ref) {
  var status = _ref.status,
      color = _ref.color;
  return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(Overlay, {
    fullScreen: true,
    overlay: true,
    color: "rgba(125, 125, 125, 0.84) "
  }), /*#__PURE__*/_react.default.createElement(ProgressCircleWrapper, null, /*#__PURE__*/_react.default.createElement(_rcProgress.Circle, {
    percent: status,
    strokeWidth: "4",
    trailWidth: "4",
    strokeColor: color,
    width: 200,
    height: 200
  }), /*#__PURE__*/_react.default.createElement(Status, null, status, " %")));
};

exports.ProgressCircle = ProgressCircle;

var ProgressCircleWrapper = _styledComponents.default.div(_templateObject());

var Status = _styledComponents.default.div(_templateObject2());

var Overlay = _styledComponents.default.div(_templateObject3(), function (props) {
  return props.overlay ? props.color ? 'rgba(125, 125, 125, 0.84) ' : 'rgba(10,10,10,0.26)' : 'transparent';
});

;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(PROGRESS_COLORS, "PROGRESS_COLORS", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\ProgressCircle.js");

  __REACT_HOT_LOADER__.register(ProgressCircle, "ProgressCircle", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\ProgressCircle.js");

  __REACT_HOT_LOADER__.register(ProgressCircleWrapper, "ProgressCircleWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\ProgressCircle.js");

  __REACT_HOT_LOADER__.register(Status, "Status", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\ProgressCircle.js");

  __REACT_HOT_LOADER__.register(Overlay, "Overlay", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\ProgressCircle.js");
}();

;