"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OperationInput = exports.ActiveOperation = exports.TransformationList = exports.ButtonApplyTransforms = exports.ButtonAction = exports.PreviewLabel = exports.PreviewFileWrapper = exports.PreviewFiles = exports.BrowseButton = exports.ItemName = exports.Nav = exports.Container = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _styledComponents2 = require("../../styledComponents");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject12() {
  var data = _taggedTemplateLiteral(["\n  width: 200px;\n  display: inline-block;\n  margin-bottom: 10px;\n"]);

  _templateObject12 = function _templateObject12() {
    return data;
  };

  return data;
}

function _templateObject11() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  width: 100%;\n  border-radius: 4px;\n  background-image:\n    linear-gradient(45deg, transparent 50%, gray 50%),\n    linear-gradient(135deg, gray 50%, transparent 50%),\n    linear-gradient(to right, #ccc, #ccc);\n  background-position:\n    calc(100% - 20px) calc(1em + 2px),\n    calc(100% - 15px) calc(1em + 2px),\n    calc(100% - 2.5em) 0.5em;\n  background-size:\n    5px 5px,\n    5px 5px,\n    1px 1.5em;\n  background-repeat: no-repeat;\n  cursor: pointer;\n\n  &:focus {\n    background-image:\n      linear-gradient(45deg, green 50%, transparent 50%),\n      linear-gradient(135deg, transparent 50%, green 50%),\n      linear-gradient(to right, #ccc, #ccc);\n    background-position:\n      calc(100% - 15px) 1em,\n      calc(100% - 20px) 1em,\n      calc(100% - 2.5em) 0.5em;\n    background-size:\n      5px 5px,\n      5px 5px,\n      1px 1.5em;\n    background-repeat: no-repeat;\n    border-color: green;\n    outline: 0;\n  }\n  \n  &:-moz-focusring {\n    color: transparent;\n    text-shadow: 0 0 0 #000;\n  }\n  \n  &.active {\n    border-radius: 4px 4px 0 0 !important;\n  }\n"]);

  _templateObject11 = function _templateObject11() {
    return data;
  };

  return data;
}

function _templateObject10() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  width: 200px;\n  display: inline-block;\n  text-align: left;\n  margin-bottom: 10px;\n  \n  .options {\n    position: absolute;\n    width: 100%;\n    display: none;\n    background: #ffffff;\n    border-radius:  0 0 4px 4px;\n    overflow: hidden;\n    box-shadow: rgba(0,0,0,0.15) 0 2px 7px;\n    \n    &.active {\n      display: block;\n    }\n  }\n  \n  .item {\n    font-size: 16px;\n    text-align: left;\n    cursor: pointer;\n    padding: 4px 8px;\n    \n    :hover, &.active {\n      color: #fff;\n      background: #00707C;\n    }\n    \n    :hover.disabled, &.disabled {\n      background: #C9C9C9;\n      color: #5D5D5D;\n      cursor: wait;\n    }\n  }\n"]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  margin: auto;\n  margin-top: 20px;\n  font-size: 16px;\n  padding: 10px;\n  height: auto;\n  border-radius: 4px;\n  width: 145px;\n"]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  margin: auto;\n  margin-top: 20px;\n  font-size: 16px;\n  padding: 10px;\n  height: auto;\n  border-radius: 4px;\n  line-height: 1.42857;\n  border: 1px solid transparent;\n  width: 145px;\n"]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  width: 100px;\n  text-align: left;\n  margin-bottom: 10px;\n"]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = _taggedTemplateLiteral(["\n  width: ", ";\n  padding: 10px 10px 25px 10px;\n  margin: 10px;\n  background: #f5f5f5;\n  border-radius: 4px;\n  position: relative;\n  height: ", "px;\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  \n  img, canvas {\n    width: auto !important;\n    max-height: ", "px !important;\n    max-width: 100% !important;\n  }\n  \n  div {\n    text-align: center;\n    white-space: nowrap;\n    text-overflow: ellipsis;\n    overflow: hidden;\n    position: absolute;\n    width: 100%;\n    height: 25px;\n    bottom: 0;\n    left: 0;\n  }\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteral(["\n  width: ", ";\n  display: flex;\n  vertical-align: middle;\n  justify-content: flex-start;\n  flex-wrap: wrap;\n  align-items: center;\n  max-height: 100%;\n  height: 100%;\n  overflow: hidden;\n  overflow-y: auto;\n  background: #fff;\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n  height: 34px;\n  padding: 6px 12px;\n  line-height: 1.42857;\n  color: ", ";\n  background-color: transparent;\n  background-repeat: repeat-x;\n  text-shadow: rgb(255, 255, 255) 0px 1px;\n  border-width: 1px;\n  border-style: solid;\n  border-color: ", ";\n  border-radius: 4px;\n  cursor: pointer;\n  font-weight: 400;\n  outline: 0;\n  font-size: 12px;\n  margin: auto;\n\n  :hover {\n    background-color: ", ";\n    color: ", ";\n  }\n\n  :focus {\n    outline-color: ", ";\n    outline-offset: -2px;\n    outline-style: auto;\n    outline-width: 5px;\n  }\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  padding: 10px;\n  padding-top: ", "px;\n  padding-bottom: ", "px;\n  font-weight: 200;\n  font-size: 12px;\n  color: ", ";\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  line-height: 1;\n  height: 100%;\n  display: flex;\n  background-color: ", ";\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  width: 100%;\n  min-height: 240px;\n  height: 100%;\n  text-align: center;\n  border: ", ";\n  background: ", ";\n  align-items: center;\n  justify-content: center;\n  display: flex;\n  color: #5D636B;\n  box-sizing: border-box;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = _styledComponents.default.div(_templateObject(), function (p) {
  return p.noBorder ? 'none' : "2px dashed ".concat(p.theme.border);
}, function (p) {
  return p.isDragOver ? 'rgba(210, 253, 207, 0.5)' : p.theme.mainBackground;
});

exports.Container = Container;

var Nav = _styledComponents.default.nav(_templateObject2(), function (p) {
  return p.theme.navBackground;
});

exports.Nav = Nav;

var ItemName = _styledComponents.default.div(_templateObject3(), function (p) {
  return p.pt ? p.pt : 10;
}, function (p) {
  return p.pb ? p.pb : 10;
}, function (p) {
  return p.theme.text;
});

exports.ItemName = ItemName;

var BrowseButton = _styledComponents.default.button(_templateObject4(), function (p) {
  return p.theme.text || '#5D636B';
}, function (p) {
  return p.theme.text || 'solid';
}, function (p) {
  return p.theme.text || '#6D737B';
}, function (p) {
  return p.theme.text === '#fff' || p.theme.text === '#ffffff' ? '#000' : '#fff';
}, function (p) {
  return p.theme.text || 'rgb(77, 144, 254)';
});

exports.BrowseButton = BrowseButton;

var PreviewFiles = _styledComponents.default.div(_templateObject5(), function (p) {
  return p.isAutoProcess ? '100%' : 'calc(100% - 350px)';
});

exports.PreviewFiles = PreviewFiles;

var PreviewFileWrapper = _styledComponents.default.div(_templateObject6(), function (p) {
  return p.oneImage ? '100%' : p.isAutoProcess ? 'calc(25% - 20px)' : 'calc(50% - 20px)';
}, function (p) {
  return p.h ? parseInt(p.h, 10) * (p.oneImage ? 2 : 1) : 285 * (p.oneImage ? 2 : 1);
}, function (p) {
  return p.h ? parseInt(p.h, 10) * (p.oneImage ? 2 : 1) - 35 : 250 * (p.oneImage ? 2 : 1);
});

exports.PreviewFileWrapper = PreviewFileWrapper;

var PreviewLabel = _styledComponents.default.label(_templateObject7());

exports.PreviewLabel = PreviewLabel;
var ButtonAction = (0, _styledComponents.default)(_styledComponents2.ButtonSearch)(_templateObject8());
exports.ButtonAction = ButtonAction;
var ButtonApplyTransforms = (0, _styledComponents.default)(BrowseButton)(_templateObject9());
exports.ButtonApplyTransforms = ButtonApplyTransforms;

var TransformationList = _styledComponents.default.div(_templateObject10());

exports.TransformationList = TransformationList;
var ActiveOperation = (0, _styledComponents.default)(_styledComponents2.InputSearch)(_templateObject11());
exports.ActiveOperation = ActiveOperation;
var OperationInput = (0, _styledComponents.default)(_styledComponents2.InputSearch)(_templateObject12());
exports.OperationInput = OperationInput;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(Container, "Container", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(Nav, "Nav", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(ItemName, "ItemName", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(BrowseButton, "BrowseButton", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(PreviewFiles, "PreviewFiles", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(PreviewFileWrapper, "PreviewFileWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(PreviewLabel, "PreviewLabel", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(ButtonAction, "ButtonAction", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(ButtonApplyTransforms, "ButtonApplyTransforms", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(TransformationList, "TransformationList", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(ActiveOperation, "ActiveOperation", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");

  __REACT_HOT_LOADER__.register(OperationInput, "OperationInput", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadImagesTab\\UserUploaderTab.styled.js");
}();

;