"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SortTick = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SortTick = function SortTick(_ref) {
  var active = _ref.active,
      isUp = _ref.isUp,
      color = _ref.color,
      flex = _ref.flex;
  return /*#__PURE__*/_react.default.createElement("span", {
    className: "sort-tick-wrapper",
    style: flex ? {
      display: 'flex'
    } : {}
  }, active && /*#__PURE__*/_react.default.createElement("span", {
    className: "sort-tick".concat(isUp ? ' icon-up' : ' icon-down').concat(color ? " ".concat(color) : '')
  }));
};

exports.SortTick = SortTick;
SortTick.defaultProps = {
  active: false,
  isUp: false
};
SortTick.propTypes = {
  active: _propTypes.default.bool.isRequired,
  isUp: _propTypes.default.bool.isRequired
};
var _default = SortTick;
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(SortTick, "SortTick", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\SortTick.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\SortTick.js");
}();

;