"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactTooltip = _interopRequireDefault(require("react-tooltip"));

var _styledComponents = require("../../styledComponents");

var _VirtualizedImagesGrid = _interopRequireDefault(require("../VirtualizedImagesGrid"));

var _imageGrid = require("../../services/imageGrid.service");

var _icons = require("../../utils/icons.utils");

var _reactI18nify = require("react-i18nify");

var _utils = require("../../utils");

var _adjustAPI = require("../../utils/adjustAPI.utils");

var _utils2 = require("../../assets/translations/utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter)) return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var UploadedImagesContent = /*#__PURE__*/function (_Component) {
  _inherits(UploadedImagesContent, _Component);

  var _super = _createSuper(UploadedImagesContent);

  function UploadedImagesContent() {
    var _this;

    _classCallCheck(this, UploadedImagesContent);

    _this = _super.call(this);

    _defineProperty(_assertThisInitialized(_this), "handleOutsideMouseClick", function (e) {
      if (_this.imageGridWrapperRef && _this.imageGridWrapperRef.current && !_this.imageGridWrapperRef.current.contains(e.target)) {
        _this.props.updateTabState({
          selectedItems: []
        }, _this.props.forceUpdate);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "getImageGridWrapperPosition", function () {
      var imageGridInnerWrapper = document.querySelector('#image-grid-wrapper > div');

      if (imageGridInnerWrapper) {
        var _imageGridInnerWrappe = imageGridInnerWrapper.getBoundingClientRect(),
            top = _imageGridInnerWrappe.top,
            left = _imageGridInnerWrappe.left;

        _this.setState({
          top: top,
          left: left
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "getImageGridWrapperWidth", function () {
      return Math.floor(_this.imageGridWrapperRef.current.getBoundingClientRect().width);
    });

    _defineProperty(_assertThisInitialized(_this), "getImageGridWrapperHeight", function () {
      return _this.imageGridWrapperRef.current.getBoundingClientRect().height;
    });

    _defineProperty(_assertThisInitialized(_this), "updateImageGridColumnWidth", function () {
      var imageGrid = _this.state.imageGrid;
      var minColumnWidth = imageGrid.minColumnWidth,
          gutterSize = imageGrid.gutterSize;

      var imageGridWrapperWidth = _this.getImageGridWrapperWidth();

      var imageContainerHeight = _this.getImageGridWrapperHeight();

      imageGrid.columnWidth = (0, _imageGrid.getActualColumnWidth)(imageGridWrapperWidth, minColumnWidth, gutterSize);

      _this.setState({
        imageGridWrapperWidth: imageGridWrapperWidth,
        imageGrid: imageGrid,
        imageContainerHeight: imageContainerHeight
      });
    });

    _defineProperty(_assertThisInitialized(_this), "onKeyDown", function (event, item) {
      if (event !== 13) return;
      event.stopPropagation();

      _this.select(item);
    });

    _defineProperty(_assertThisInitialized(_this), "select", function (image) {
      var _this$props = _this.props,
          files = _this$props.files,
          selectedItems = _this$props.selectedItems,
          appState = _this$props.appState;
      var options = appState.options;
      var isForceUpload = _this.props.appState.config.uploadParams.opt_force_name;
      var nextFiles = [];
      selectedItems.length ? nextFiles = files.filter(function (file) {
        return selectedItems.find(function (item) {
          return item === file.uuid;
        });
      }).map(function (item) {
        return _objectSpread(_objectSpread({}, item), {}, {
          public_link: (0, _adjustAPI.getCDNlink)(item)
        });
      }) : nextFiles = [_objectSpread(_objectSpread({}, image), {}, {
        public_link: (0, _adjustAPI.getCDNlink)(image)
      })];

      if (isForceUpload) {
        _this.props.upload(true, nextFiles.map(function (file) {
          return (0, _adjustAPI.getCDNlink)(file);
        }));
      } else {
        _this.props.appState.config.uploadHandler(nextFiles, {
          stage: 'select'
        });

        if (options.closeOnSave) _this.props.closeModal();
      }
    });

    _defineProperty(_assertThisInitialized(_this), "modify", function (event, item) {
      event.preventDefault();
      event.stopPropagation();

      if (_this.props.appState.config.imageEditor.active) {
        var path = _this.props.path;
        var files = [_objectSpread(_objectSpread({}, item), {}, {
          public_link: (0, _adjustAPI.getCDNlink)(item)
        })];

        _this.props.saveUploadedFiles(files);

        _this.props.setPostUpload(true, 'IMAGE_EDITOR', 'MY_GALLERY', {
          path: path,
          modifyURL: true
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onTagImage", function (event, image) {
      event.preventDefault();
      event.stopPropagation();
      var _this$props2 = _this.props,
          files = _this$props2.files,
          selectedItems = _this$props2.selectedItems;

      if (_this.props.appState.config.tagging.active) {
        var nextFiles = [];
        selectedItems.length ? nextFiles = files.filter(function (file) {
          return selectedItems.find(function (item) {
            return item === file.uuid;
          });
        }).map(function (item) {
          return _objectSpread(_objectSpread({}, item), {}, {
            public_link: (0, _adjustAPI.getCDNlink)(item)
          });
        }) : nextFiles = [_objectSpread(_objectSpread({}, image), {}, {
          public_link: (0, _adjustAPI.getCDNlink)(image)
        })];

        _this.props.saveUploadedFiles(nextFiles);

        _this.props.setPostUpload(true, 'TAGGING', 'MY_GALLERY', {
          isClickedTagsBtn: true
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "onEditImage", function (event, item) {
      event.preventDefault();
      event.stopPropagation();

      if (_this.props.appState.config.imageEditor.active) {
        var path = _this.props.path;
        var files = [_objectSpread(_objectSpread({}, item), {}, {
          public_link: (0, _adjustAPI.getCDNlink)(item)
        })];

        _this.props.saveUploadedFiles(files);

        _this.props.setPostUpload(true, 'IMAGE_EDITOR', 'MY_GALLERY', {
          path: path
        });
      }
    });

    _defineProperty(_assertThisInitialized(_this), "toggleChecked", function (uuid) {
      var selectedItems = _this.props.selectedItems;

      var nextSelectedItems = _toConsumableArray(selectedItems);

      var index = nextSelectedItems.findIndex(function (item) {
        return item === uuid;
      });
      nextSelectedItems.includes(uuid) ? nextSelectedItems.splice(index, 1) : nextSelectedItems.push(uuid);

      _this.props.updateTabState({
        selectedItems: nextSelectedItems
      }, _this.props.forceUpdate);
    });

    _defineProperty(_assertThisInitialized(_this), "renderImage", function (_ref) {
      var style = _ref.style,
          columnWidth = _ref.columnWidth,
          item = _ref.item,
          index = _ref.index;
      var _this$props3 = _this.props,
          selectedItems = _this$props3.selectedItems,
          appState = _this$props3.appState;
      var _this$state = _this.state,
          top = _this$state.top,
          left = _this$state.left;
      var _appState$config = appState.config,
          tagging = _appState$config.tagging,
          imageEditor = _appState$config.imageEditor,
          cloudimageToken = _appState$config.cloudimageToken,
          modifyURLButton = _appState$config.modifyURLButton;
      var isTagImage = tagging.active;
      var isEditImage = imageEditor.active;
      var isImageType = (0, _icons.isImage)(item.type);
      var url = (0, _imageGrid.getFitResizeImageUrl)(isImageType ? (0, _utils.encodePermalink)((0, _adjustAPI.getCDNlink)(item)) : (0, _icons.getFileIconSrcByType)(item.type), columnWidth, Math.floor(columnWidth / (item.ratio || 1.6)), cloudimageToken);
      var isChecked = selectedItems.includes(item.uuid);
      var isCheckedOne = selectedItems.length === 1 || !selectedItems.length;
      return /*#__PURE__*/_react.default.createElement(_styledComponents.ImageWrapper, {
        style: _objectSpread(_objectSpread({}, style), {}, {
          width: Math.floor(columnWidth)
        }),
        role: "button",
        tabIndex: index,
        isNotImage: !isImageType,
        onKeyDown: function onKeyDown(event) {
          _this.onKeyDown(event, item);
        }
      }, /*#__PURE__*/_react.default.createElement("div", {
        style: {
          overflow: 'hidden',
          background: 'rgba(155,155,155,.15)'
        }
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.Img, {
        src: url,
        isNotImage: !isImageType,
        height: Math.floor(columnWidth / (item.ratio || 1.6))
      })), /*#__PURE__*/_react.default.createElement(_styledComponents.ImageDescription, null, /*#__PURE__*/_react.default.createElement(_styledComponents.ImageName, null, item.name)), /*#__PURE__*/_react.default.createElement(_styledComponents.Overlay, {
        checked: isChecked
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.CheckBoxWrapper, null, /*#__PURE__*/_react.default.createElement(_styledComponents.Checkbox, {
        "data-place": "bottom",
        "data-tip": (0, _utils2.getContentWithNumber)(_reactI18nify.I18n.t('tips.select_multiply'), selectedItems.length),
        checked: isChecked,
        onChange: function onChange() {
          return _this.toggleChecked(item.uuid);
        }
      })), /*#__PURE__*/_react.default.createElement(_styledComponents.ControlsWrapper, null, /*#__PURE__*/_react.default.createElement(_styledComponents.Controls, null, isEditImage && isImageType && isCheckedOne && /*#__PURE__*/_react.default.createElement(_styledComponents.ControlWrapper, {
        onClick: function onClick(event) {
          _this.onEditImage(event, item);
        }
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.Control, {
        "data-tip": _reactI18nify.I18n.t('tips.edit')
      }, /*#__PURE__*/_react.default.createElement("span", null, _reactI18nify.I18n.t('file_manager.edit')), /*#__PURE__*/_react.default.createElement(_styledComponents.Icon, {
        className: "sfi-airstore-edit"
      }))), isTagImage && /*#__PURE__*/_react.default.createElement(_styledComponents.ControlWrapper, {
        onClick: function onClick(event) {
          _this.onTagImage(event, item);
        }
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.Control, {
        "data-tip": (0, _utils2.getContentWithNumber)(_reactI18nify.I18n.t('tips.tag'), selectedItems.length)
      }, /*#__PURE__*/_react.default.createElement("span", null, _reactI18nify.I18n.t('file_manager.tag'), !isCheckedOne ? " (".concat(selectedItems.length, ")") : ''), /*#__PURE__*/_react.default.createElement(_styledComponents.Icon, {
        className: "sfi-airstore-tag"
      }))), /*#__PURE__*/_react.default.createElement(_styledComponents.ControlWrapper, {
        onClick: function onClick() {
          return _this.props.onClickDelete(item);
        }
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.Control, {
        "data-tip": (0, _utils2.getContentWithNumber)(_reactI18nify.I18n.t('tips.delete'), selectedItems.length)
      }, /*#__PURE__*/_react.default.createElement("span", null, _reactI18nify.I18n.t('file_manager.delete'), !isCheckedOne ? " (".concat(selectedItems.length, ")") : ''), /*#__PURE__*/_react.default.createElement(_styledComponents.Icon, {
        className: "sfi-airstore-delete"
      })))), /*#__PURE__*/_react.default.createElement(_styledComponents.SelectButton, null, /*#__PURE__*/_react.default.createElement(_styledComponents.EditButton, {
        fullBr: '4px',
        isCheckedOne: isCheckedOne,
        success: true,
        onClick: function onClick() {
          _this.select(item);
        },
        "data-tip": (0, _utils2.getContentWithNumber)(_reactI18nify.I18n.t('tips.select'), selectedItems.length)
      }, _reactI18nify.I18n.t('file_manager.select'), !isCheckedOne ? " (".concat(selectedItems.length, ")") : ''), isCheckedOne && modifyURLButton && /*#__PURE__*/_react.default.createElement(_styledComponents.EditButton, {
        fullBr: '4px',
        isCheckedOne: true,
        primary: true,
        onClick: function onClick(event) {
          _this.modify(event, item);
        },
        "data-tip": _reactI18nify.I18n.t('tips.modify')
      }, _reactI18nify.I18n.t('file_manager.modify'), !isCheckedOne ? " (".concat(selectedItems.length, ")") : '')))), /*#__PURE__*/_react.default.createElement(_reactTooltip.default, {
        offset: {
          top: top,
          left: left
        },
        delayShow: 700,
        effect: "solid"
      }));
    });

    _defineProperty(_assertThisInitialized(_this), "renderUploadBox", function (_ref2) {
      var _ref2$style = _ref2.style,
          style = _ref2$style === void 0 ? {} : _ref2$style,
          _ref2$columnWidth = _ref2.columnWidth,
          columnWidth = _ref2$columnWidth === void 0 ? 300 : _ref2$columnWidth,
          _ref2$item = _ref2.item,
          item = _ref2$item === void 0 ? {} : _ref2$item;
      var fileDropHandler = _this.props.fileDropHandler;
      var isDragOver = _this.state.isDragOver;
      return /*#__PURE__*/_react.default.createElement(_styledComponents.UploadBoxWrapper, {
        onDrop: fileDropHandler,
        method: 'post',
        encType: "multipart/form-data",
        style: style,
        columnWidth: columnWidth,
        height: Math.floor(columnWidth / (item.ratio || 1.6) + 20)
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.UploadBox, {
        isDragOver: isDragOver
      }, /*#__PURE__*/_react.default.createElement(_styledComponents.UploadBoxIcon, {
        className: 'sfi-airstore-image'
      }), /*#__PURE__*/_react.default.createElement(_styledComponents.Label, {
        center: true
      }, _reactI18nify.I18n.t('file_manager.drag_images_here'))));
    });

    _this.state = {
      imageGridWrapperWidth: 0,
      imageContainerHeight: 0,
      imageGrid: {
        columnWidth: 0,
        gutterSize: 10,
        minColumnWidth: 200
      }
    };
    _this.imageGridWrapperRef = /*#__PURE__*/_react.default.createRef();
    return _this;
  }

  _createClass(UploadedImagesContent, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.updateImageGridColumnWidth();
      document.addEventListener('click', this.handleOutsideMouseClick);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      document.removeEventListener('click', this.handleOutsideMouseClick);
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps, prevState) {
      if (this.imageGridWrapperRef.current && this.getImageGridWrapperWidth() !== prevState.imageGridWrapperWidth) this.updateImageGridColumnWidth();
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props4 = this.props,
          files = _this$props4.files,
          onDragEvent = _this$props4.onDragEvent,
          isDragOver = _this$props4.isDragOver,
          isShowMoreImages = _this$props4.isShowMoreImages,
          imagesIndex = _this$props4.imagesIndex,
          isLoading = _this$props4.isLoading,
          isUpload = _this$props4.isUpload,
          imagesIndexWrapper = _this$props4.imagesIndexWrapper;
      var _this$state2 = this.state,
          imageGrid = _this$state2.imageGrid,
          imageContainerHeight = _this$state2.imageContainerHeight,
          imageGridWrapperWidth = _this$state2.imageGridWrapperWidth;
      var columnWidth = imageGrid.columnWidth,
          gutterSize = imageGrid.gutterSize;
      var imagesList = isUpload ? [{
        id: 'uploaderBox'
      }].concat(_toConsumableArray(files)) : _toConsumableArray(files);
      return /*#__PURE__*/_react.default.createElement(_styledComponents.Content, {
        ref: this.imageGridWrapperRef,
        onDragOver: function onDragOver(event) {
          onDragEvent(event, 'isDragOver', true);
        },
        onDragEnter: function onDragEnter(event) {
          onDragEvent(event, 'isDragOver', true);
        },
        onDragLeave: function onDragLeave(event) {
          onDragEvent(event, 'isDragOver', false);
        },
        onDragEnd: function onDragEnd(event) {
          onDragEvent(event, 'isDragOver', false);
        },
        isDragOver: isDragOver,
        key: imagesIndexWrapper
      }, files.length ? /*#__PURE__*/_react.default.createElement(_VirtualizedImagesGrid.default, {
        key: imagesIndex,
        imageGridWrapperWidth: imageGridWrapperWidth,
        imageContainerHeight: imageContainerHeight,
        columnWidth: columnWidth,
        gutterSize: gutterSize,
        count: imagesList.length,
        list: imagesList,
        upload: this.select,
        onShowMoreImages: this.props.onShowMoreImages,
        isShowMoreImages: isShowMoreImages,
        ratio: 1.6,
        additionalImageHeight: 20,
        customPositionHandler: true,
        getImageGridWrapperPosition: this.getImageGridWrapperPosition,
        cellContent: function cellContent(props) {
          return props.item && props.item.id !== 'uploaderBox' ? _this2.renderImage(props) : _this2.renderUploadBox(props);
        }
      }) : '', isUpload && !files.length && !isLoading && this.renderUploadBox({}), /*#__PURE__*/_react.default.createElement(_styledComponents.ShowMoreResultsSpinner, {
        show: isShowMoreImages && imagesList.length > 1
      }));
    }
  }]);

  return UploadedImagesContent;
}(_react.Component);

var _default = UploadedImagesContent;
var _default2 = _default;
exports.default = _default2;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(UploadedImagesContent, "UploadedImagesContent", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\UploadedImagesContent.js");

  __REACT_HOT_LOADER__.register(_default, "default", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\components\\UploadedImagesTab\\UploadedImagesContent.js");
}();

;