"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Checkbox = exports.CheckBoxWrapper = exports.EditButton = exports.ImageName = exports.ImageDescription = exports.ShowMoreResultsSpinner = exports.ApplyColorBtn = exports.ShowMoreResultsSpinnerWrapper = exports.ColorFilterItem = exports.ColorFilterBox = exports.ColorFilterItemWrapper = exports.SketchPickerOverlay = exports.SketchPickerWrapper = exports.AddColorBtn = exports.ImagesListContainer = exports.ImageContainer = exports.Img = exports.Controls = exports.ControlsWrapper = exports.Overlay = exports.ImageWrapper = exports.SelectButton = exports.Icon = exports.Control = exports.ControlWrapper = exports.TabWrap = exports.ColorItemName = exports.ColorItem = exports.ColorType = exports.SideBar = exports.SidebarWrap = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _CloseBtn = require("../components/CloseBtn");

var _Button = require("../components/Button");

var _Spinner = require("../components/Spinner");

var _IconTab = require("./IconTab.styled");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject29() {
  var data = _taggedTemplateLiteral(["\n  align-self: flex-end;\n  appearance: none;\n  position: absolute;\n  top: 10px;\n  right: 11px;\n  height: ", ";\n  width: ", ";\n  transition: all 0.15s ease-out 0s;\n  border-style: solid;\n  border-width: 1px;\n  border-color: #fff;\n  color: #fff;\n  cursor: pointer;\n  display: inline-block;\n  vertical-align: middle;\n  margin-bottom: 5px;\n  outline: none;\n  border-radius: ", ";\n  -webkit-appearance: none;\n  -moz-appearance: none;\n  -ms-appearance: none;\n  -o-appearance: none;\n  z-index: 50;\n  \n  :hover::before {\n    border-radius: 50%;\n    height: ", ";\n    width: ", ";\n    top: ", ";\n    left: ", ";\n    content: ", ";\n    position: absolute;\n    display: inline-block;\n    font-size: 12px;\n    text-align: center;\n    line-height: 15px;\n    font-family: 'filerobot-uploader-font';\n  }\n  \n  :checked::before {\n    border-radius: 50%;\n    height: ", ";\n    width: ", ";\n    top: ", ";\n    left: ", ";\n    content: ", ";\n    position: absolute;\n    display: inline-block;\n    font-size: 12px;\n    text-align: center;\n    line-height: 15px;\n    font-family: 'filerobot-uploader-font';\n  }\n  \n  :checked::after {\n    -webkit-animation: click-wave 0.65s;\n    -moz-animation: click-wave 0.65s;\n    animation: click-wave 0.65s;\n    content: '';\n    display: block;\n    position: relative;\n    z-index: 100;\n  }\n  \n  :focus {\n    outline: none !important;\n  }\n"]);

  _templateObject29 = function _templateObject29() {
    return data;
  };

  return data;
}

function _templateObject28() {
  var data = _taggedTemplateLiteral(["\n  min-height: 15px;\n"]);

  _templateObject28 = function _templateObject28() {
    return data;
  };

  return data;
}

function _templateObject27() {
  var data = _taggedTemplateLiteral(["\n  background-color: ", ";\n  width: ", ";\n  height: 28px;\n  line-height: 28px;\n  padding: 0;\n  display: inline-block;\n  \n  :hover {\n    background-color: ", ";\n  }\n  \n  &:first-child {\n    margin-right: 4px;\n  }\n"]);

  _templateObject27 = function _templateObject27() {
    return data;
  };

  return data;
}

function _templateObject26() {
  var data = _taggedTemplateLiteral(["\n  height: 20px; \n  font-size: 12px;\n  font-weight: 300;\n  display: block;\n  vertical-align: middle;\n  line-height: 20px;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n  padding: 0 25px;\n  text-align: center;\n  color: ", ";\n"]);

  _templateObject26 = function _templateObject26() {
    return data;
  };

  return data;
}

function _templateObject25() {
  var data = _taggedTemplateLiteral(["\n  box-sizing: border-box;\n  background: ", ";\n  z-index: 45;\n  position: relative;\n  height: 20px;\n  \n  * {\n    box-sizing: border-box;\n  }\n"]);

  _templateObject25 = function _templateObject25() {
    return data;
  };

  return data;
}

function _templateObject24() {
  var data = _taggedTemplateLiteral(["\n  margin-top: 5px;\n  width: 100%;\n  font-weight: 400;\n  text-transform: none;\n"]);

  _templateObject24 = function _templateObject24() {
    return data;
  };

  return data;
}

function _templateObject23() {
  var data = _taggedTemplateLiteral(["\n  display: ", ";\n  position: absolute;\n  bottom: 0;\n  left: 0;\n  right: 0;\n  height: 100px !important;\n  \n  > div:first-child {\n    opacity: 0.6;\n  }\n  \n  > div:last-child {\n    height: 1em !important;\n  }\n"]);

  _templateObject23 = function _templateObject23() {
    return data;
  };

  return data;
}

function _templateObject22() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  width: 20px;\n  height: 20px;\n  vertical-align: middle;\n  background-color: ", ";\n  border-radius: 2px;\n"]);

  _templateObject22 = function _templateObject22() {
    return data;
  };

  return data;
}

function _templateObject21() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  padding: 2px;\n  padding-right: 18px;\n  border-radius: 2px;\n  background-color: #fff;\n  position: relative;\n  margin-top: 4px;\n  margin-left: 4px;\n  border: 1px solid #ccc;\n"]);

  _templateObject21 = function _templateObject21() {
    return data;
  };

  return data;
}

function _templateObject20() {
  var data = _taggedTemplateLiteral(["\n  position: fixed;\n  top: 0;\n  right: 0;\n  bottom: 0;\n  left: 0;\n"]);

  _templateObject20 = function _templateObject20() {
    return data;
  };

  return data;
}

function _templateObject19() {
  var data = _taggedTemplateLiteral(["\n  position: absolute;\n  z-index: 5;\n  left: 180px;\n  top: 10px;\n  background: #fff;\n  padding: 5px;\n  border-radius: 4px;\n"]);

  _templateObject19 = function _templateObject19() {
    return data;
  };

  return data;
}

function _templateObject18() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  //padding: 6px 12px;\n  //border: 1px solid #ccc;\n  margin: 5px 4px;\n  //border-radius: 4px;\n  //color: #70777f;\n  cursor: pointer;\n  position: relative;\n  font-size: 13px;\n  //width: calc(100% - 32px);\n  //text-align: center;\n  color: ", ";\n  \n  :hover {\n    //border: 1px solid #7f7f7f;\n    color: ", ";\n  }\n    \n  ", "\n"]);

  _templateObject18 = function _templateObject18() {
    return data;
  };

  return data;
}

function _templateObject17() {
  var data = _taggedTemplateLiteral(["\n  padding: 0 10px;\n  height: calc(100% - 119px);\n  position: relative;\n  \n  > div {\n    height: 100%;\n    \n    > div {\n      height: 100% !important;\n    }\n  }\n"]);

  _templateObject17 = function _templateObject17() {
    return data;
  };

  return data;
}

function _templateObject16() {
  var data = _taggedTemplateLiteral(["\n  display: block;\n  flexWrap: wrap;\n  align-items: stretch;\n  padding-right: 10;\n  font-family: Roboto, sans-serif;\n  flex: 1 1 0%;\n  overflow: hidden;\n  height: 100%;\n  max-height: 100%;\n  min-height: 100%;\n"]);

  _templateObject16 = function _templateObject16() {
    return data;
  };

  return data;
}

function _templateObject15() {
  var data = _taggedTemplateLiteral(["\n  width: 100%;\n  vertical-align: middle;\n  height: ", "px;\n  opacity: 1;\n  transition: all 0.3s;\n  transform: scale(", ");\n  transition: all 200ms ease-in;\n  cursor: pointer;\n"]);

  _templateObject15 = function _templateObject15() {
    return data;
  };

  return data;
}

function _templateObject14() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  justify-content: center;\n"]);

  _templateObject14 = function _templateObject14() {
    return data;
  };

  return data;
}

function _templateObject13() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  flex-direction: column;\n  justify-content: space-between;\n"]);

  _templateObject13 = function _templateObject13() {
    return data;
  };

  return data;
}

function _templateObject12() {
  var data = _taggedTemplateLiteral(["\n  display: ", ";\n  flex-direction: column;\n  justify-content: space-around;\n  position: absolute;\n  top: 0;\n  left: 0;\n  right: 0;\n  bottom: 0;\n  background-color: rgba(0,0,0,0.8);\n  padding: 5px 10px;\n  z-index: 46;\n  \n  ", ":hover & {\n    display: flex;\n  }\n"]);

  _templateObject12 = function _templateObject12() {
    return data;
  };

  return data;
}

function _templateObject11() {
  var data = _taggedTemplateLiteral(["\n  width: 100%;\n  vertical-align: middle;\n  overflow: hidden;\n  position: relative;\n  transition: all 200ms ease-in;\n  cursor: pointer;\n  \n  :hover img {\n    transform: scale(", ");\n  }\n  \n  :hover ", " {\n    display: block;\n  }\n  \n  :after {\n    visibility: hidden;\n    position: absolute;\n    content: '';\n    top: 0;\n    left: 0;\n    right: 0;\n    bottom: 0;\n    background: rgba(255, 255, 255, 0);\n    z-index: 1;\n    transition: all 200ms ease-in;\n  }\n  \n  :hover:after {\n    visibility: visible;\n    /*background: rgba(255, 255, 255, 0.3);*/\n  }\n"]);

  _templateObject11 = function _templateObject11() {
    return data;
  };

  return data;
}

function _templateObject10() {
  var data = _taggedTemplateLiteral(["\n  width: 100%;\n  margin-top: 5px;\n"]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = _taggedTemplateLiteral(["\n  display: inline-block;\n  width: 45px;\n  height: 45px;\n  line-height: 45px;\n  font-size: 45px;\n  width: 100%;\n"]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  border-radius: 6px;\n  border: 1px solid #fff;\n  font-size: 10px;\n  color: #acacac;\n  padding-top: 3px;\n  \n  min-height: 70px;\n  text-align: center;\n\n  :hover {\n    background: rgba(255, 255, 255, 0.2);\n    color: #fff;\n  }\n"]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  display: none;\n  width: 33%;\n  padding: 2px;\n  z-index: 50;\n  text-align: center;\n  \n  :first-child {\n    padding-left: 0;\n  }\n  :last-child {\n    padding-right: 0;\n  }\n"]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  height: 100%;\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = _taggedTemplateLiteral(["\n  margin-left: 5px;\n  text-overflow: ellipsis;\n  overflow: hidden;\n  white-space: nowrap;\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  padding: 10px 5px;\n  border-left: ", ";\n  font-size: 12px;\n  color: ", ";\n  text-transform: capitalize;\n  display: flex;\n  cursor: pointer;\n  background: ", ";\n  \n  :hover {\n    background: ", ";\n  }\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  margin-bottom: 15px;\n  margin-top: 15px;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  overflow: auto;\n  height: 100%;\n  top: 0;\n  position: absolute;\n  width: 100%;\n  padding-top: 5px;\n  box-sizing: border-box;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  width: 160px;\n  border-right: 1px solid rgb(221, 221, 221);\n  position: relative;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var SidebarWrap = _styledComponents.default.div(_templateObject());

exports.SidebarWrap = SidebarWrap;

var SideBar = _styledComponents.default.div(_templateObject2());

exports.SideBar = SideBar;

var ColorType = _styledComponents.default.div(_templateObject3());

exports.ColorType = ColorType;

var ColorItem = _styledComponents.default.div.attrs(function (props) {
  return {
    className: props.active ? 'ae-color-item' : ''
  };
})(_templateObject4(), function (props) {
  return props.active ? '6px solid ' + props.theme.buttonBackground : '6px solid transparent';
}, function (p) {
  return p.theme.text || '#1e262c';
}, function (props) {
  return props.active ? props.theme.activeSidebarItemBackground : 'transparent';
}, function (props) {
  return props.theme.activeSidebarItemBackground || '#fff';
});

exports.ColorItem = ColorItem;

var ColorItemName = _styledComponents.default.span(_templateObject5());

exports.ColorItemName = ColorItemName;

var TabWrap = _styledComponents.default.div(_templateObject6());

exports.TabWrap = TabWrap;
var ControlWrapper = (0, _styledComponents.default)('div')(_templateObject7());
exports.ControlWrapper = ControlWrapper;
var Control = (0, _styledComponents.default)('div')(_templateObject8());
exports.Control = Control;
var Icon = (0, _styledComponents.default)('span')(_templateObject9());
exports.Icon = Icon;
var SelectButton = (0, _styledComponents.default)(ControlWrapper)(_templateObject10());
exports.SelectButton = SelectButton;

var ImageWrapper = _styledComponents.default.div(_templateObject11(), function (props) {
  return props.isNotImage ? 0.85 : 1.1;
}, ControlWrapper);

exports.ImageWrapper = ImageWrapper;

var Overlay = _styledComponents.default.div(_templateObject12(), function (p) {
  return p.checked ? 'flex' : 'none';
}, ImageWrapper);

exports.Overlay = Overlay;
var ControlsWrapper = (0, _styledComponents.default)('div')(_templateObject13());
exports.ControlsWrapper = ControlsWrapper;
var Controls = (0, _styledComponents.default)('div')(_templateObject14());
exports.Controls = Controls;

var Img = _styledComponents.default.img(_templateObject15(), function (props) {
  return props.height;
}, function (props) {
  return props.isNotImage ? 0.75 : 1;
});

exports.Img = Img;

var ImageContainer = _styledComponents.default.div(_templateObject16());

exports.ImageContainer = ImageContainer;

var ImagesListContainer = _styledComponents.default.div(_templateObject17());

exports.ImagesListContainer = ImagesListContainer;

var AddColorBtn = _styledComponents.default.div(_templateObject18(), function (p) {
  return p.theme.buttonBackground || '#00707b';
}, function (p) {
  return p.theme.hoverButtonBackground || '#00505b';
}, function (props) {
  return props.hide && "display: none;";
});

exports.AddColorBtn = AddColorBtn;

var SketchPickerWrapper = _styledComponents.default.div(_templateObject19());

exports.SketchPickerWrapper = SketchPickerWrapper;

var SketchPickerOverlay = _styledComponents.default.div(_templateObject20());

exports.SketchPickerOverlay = SketchPickerOverlay;

var ColorFilterItemWrapper = _styledComponents.default.div(_templateObject21());

exports.ColorFilterItemWrapper = ColorFilterItemWrapper;

var ColorFilterBox = _styledComponents.default.span(_templateObject22(), function (props) {
  return props.color;
});

exports.ColorFilterBox = ColorFilterBox;

var ColorFilterItem = function ColorFilterItem(props) {
  return /*#__PURE__*/_react.default.createElement(ColorFilterItemWrapper, null, /*#__PURE__*/_react.default.createElement(ColorFilterBox, {
    color: props.color,
    onClick: function onClick() {
      props.onChangeColorFilter(props.index);
    }
  }), /*#__PURE__*/_react.default.createElement(_CloseBtn.CloseBtn, {
    onClick: function onClick() {
      props.onRemoveColorFilter(props.index);
    },
    style: {
      top: 4,
      right: 1,
      color: '#747981',
      zIndex: 4,
      fontSize: 16
    }
  }));
};

exports.ColorFilterItem = ColorFilterItem;

var ShowMoreResultsSpinnerWrapper = _styledComponents.default.div(_templateObject23(), function (props) {
  return props.show ? 'block' : 'none';
});

exports.ShowMoreResultsSpinnerWrapper = ShowMoreResultsSpinnerWrapper;
var ApplyColorBtn = (0, _styledComponents.default)(_Button.Button)(_templateObject24());
exports.ApplyColorBtn = ApplyColorBtn;

var ShowMoreResultsSpinner = function ShowMoreResultsSpinner(_ref) {
  var show = _ref.show;
  return show ? /*#__PURE__*/_react.default.createElement(ShowMoreResultsSpinnerWrapper, {
    show: show
  }, /*#__PURE__*/_react.default.createElement(_Spinner.Spinner, {
    overlay: true,
    show: show,
    style: {
      fontSize: 10
    }
  })) : null;
};

exports.ShowMoreResultsSpinner = ShowMoreResultsSpinner;

var ImageDescription = _styledComponents.default.div(_templateObject25(), function (p) {
  return p.theme.activeSidebarItemBackground || 'gainsboro';
});

exports.ImageDescription = ImageDescription;

var ImageName = _styledComponents.default.div(_templateObject26(), function (p) {
  return p.theme.text;
});

exports.ImageName = ImageName;
var EditButton = (0, _styledComponents.default)(_IconTab.ButtonSearch)(_templateObject27(), function (p) {
  return p.success ? '#28a745' : p.theme.buttonBackground;
}, function (p) {
  return !p.isCheckedOne ? '100%' : 'calc(50% - 2px)';
}, function (p) {
  return p.success ? '#208638' : p.theme.hoverButtonBackground;
});
exports.EditButton = EditButton;
var CheckBoxWrapper = (0, _styledComponents.default)('div')(_templateObject28());
exports.CheckBoxWrapper = CheckBoxWrapper;
var Checkbox = (0, _styledComponents.default)('input').attrs(function (p) {
  return {
    type: p.type ? p.type : 'checkbox'
  };
})(_templateObject29(), function (p) {
  return p.type === 'radio' ? '11px' : '15px';
}, function (p) {
  return p.type === 'radio' ? '11px' : '15px';
}, function (p) {
  return p.type === 'radio' ? '50%' : '2px';
}, function (p) {
  return p.type === 'radio' ? '3px' : '15px';
}, function (p) {
  return p.type === 'radio' ? '3px' : '15px';
}, function (p) {
  return p.type === 'radio' ? '4px' : '';
}, function (p) {
  return p.type === 'radio' ? '4px' : '-2px';
}, function (p) {
  return p.type === 'radio' ? "''" : "'\\e90c'";
}, function (p) {
  return p.type === 'radio' ? '3px' : '15px';
}, function (p) {
  return p.type === 'radio' ? '3px' : '15px';
}, function (p) {
  return p.type === 'radio' ? '4px' : '';
}, function (p) {
  return p.type === 'radio' ? '4px' : '-2px';
}, function (p) {
  return p.type === 'radio' ? "''" : "'\\e90c'";
});
exports.Checkbox = Checkbox;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(SidebarWrap, "SidebarWrap", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(SideBar, "SideBar", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ColorType, "ColorType", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ColorItem, "ColorItem", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ColorItemName, "ColorItemName", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(TabWrap, "TabWrap", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ControlWrapper, "ControlWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(Control, "Control", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(Icon, "Icon", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(SelectButton, "SelectButton", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ImageWrapper, "ImageWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(Overlay, "Overlay", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ControlsWrapper, "ControlsWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(Controls, "Controls", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(Img, "Img", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ImageContainer, "ImageContainer", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ImagesListContainer, "ImagesListContainer", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(AddColorBtn, "AddColorBtn", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(SketchPickerWrapper, "SketchPickerWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(SketchPickerOverlay, "SketchPickerOverlay", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ColorFilterItemWrapper, "ColorFilterItemWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ColorFilterBox, "ColorFilterBox", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ColorFilterItem, "ColorFilterItem", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ShowMoreResultsSpinnerWrapper, "ShowMoreResultsSpinnerWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ApplyColorBtn, "ApplyColorBtn", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ShowMoreResultsSpinner, "ShowMoreResultsSpinner", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ImageDescription, "ImageDescription", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(ImageName, "ImageName", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(EditButton, "EditButton", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(CheckBoxWrapper, "CheckBoxWrapper", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");

  __REACT_HOT_LOADER__.register(Checkbox, "Checkbox", "D:\\Work\\Projects\\filerobot-uploader\\projects\\react-plugin\\styledComponents\\BackgroundTab.styled.js");
}();

;